#include "pdefs.h"
#include "precision.h"

static precisionType pzeroConst = {
   (posit) 1,		/* size */
   (posit) 1,		/* digitcount */
   (boolean) 0,		/* sign */
   { (digit) 0 }	/* value */
};

static precisionType poneConst = {
   (posit) 1,		/* size */
   (posit) 1,		/* digitcount */
   (boolean) 0,		/* sign */
   { (digit) 1 }	/* value */
};

static precisionType ptwoConst = {
   (posit) 1,		/* size */
   (posit) 1,		/* digitcount */
   (boolean) 0,		/* sign */
   { (digit) 2 }	/* value */
};

static precisionType p_oneConst = { 
   (posit) 1,		/* size */
   (posit) 1,		/* digitcount */
   (boolean) 1,		/* sign */
   { (digit) 1 }	/* value */
};

precision pzero;		/* zero */
precision pone;			/* one */
precision ptwo;			/* two */
precision p_one;		/* negative one */

void precision_init(void)
{
  current_heap = newregion();
  pzero = palloc(1); *pzero = pzeroConst;
  pone = palloc(1); *pone = poneConst;
  ptwo = palloc(1); *ptwo = ptwoConst;
  p_one = palloc(1); *p_one = p_oneConst;
}
