#include"cmump.h"
#include "multpol.h"


extern short nvars;


void mpolcopy(MPOL *p, MPOL *q)
{ 
  int i;

  if (p == q)
    return;

  q->owner = p->owner;
  q->ppid = p->ppid;
  q->compact = p->compact;
  q->reducible = p->reducible;
  q->next = NULL;

  q->nterms = p->nterms;
  POL_ALLOC(q,q->nterms);
  for (i=0;i<(p->nterms)*(nvars+1);i++) q->expos[i]=(p->expos[i]);
  for (i=0;i<p->nterms;i++){
	MINIT(&(q->coefs[i]));
	mcopy(&(p->coefs[i]),&(q->coefs[i]));
  };
}
