#include <sys/times.h>
#include <stdio.h>
#include <fcntl.h>

void main()
{
  struct tms s, e;
  int pid;

  times(&s);
  if ((pid = fork()) == 0)
    {
      close(2);
      open("/dev/null", O_WRONLY);
      execl("/disks/orodruin/aa/home/dgay/bin/.SunOS/lcc", "lcc", "-S",
	    "-Wo-lccdir=/disks/orodruin/aa/home/dgay/src/hlcc/build",
	    "bind.i", "cleanup.i", "dag.i", "dagcheck.i", "decl.i", "enode.i",
	    "error.i", "event.i", "expr.i", "gen.i", "init.i", "inits.i",
	    "input.i", "lex.i", "list.i", "main.i", "null.i", "output.i",
	    "prof.i", "profio.i", "simp.i", "sparc.i", "stmt.i", "string.i",
	    "sym.i", "symbolic.i", "tree.i", "types.i", NULL);
    }
  waitpid(-1, NULL, 0);
  times(&e);
  printf("%d\n", e.tms_cutime - s.tms_cutime);
}
