
/*  A Bison parser, made from parser.y
 by  GNU Bison version 1.25
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	FUNCTION	258
#define	IF	259
#define	ELSE	260
#define	WHILE	261
#define	ASSIGN	262
#define	QUOTE	263
#define	MEXIT	264
#define	LOOP	265
#define	INTEGER	266
#define	STRING	267
#define	SYMBOL	268
#define	MODULE	269
#define	LIBRARY	270
#define	IMPORTS	271
#define	DEFINES	272
#define	READS	273
#define	WRITES	274
#define	SC_OR	275
#define	OR	276
#define	SC_AND	277
#define	AND	278
#define	EQ	279
#define	NE	280
#define	LT	281
#define	LE	282
#define	GT	283
#define	GE	284
#define	SHIFT_LEFT	285
#define	SHIFT_RIGHT	286
#define	NOT	287
#define	UMINUS	288

#line 1 "parser.y"

#include "mudlle.h"
#include "tree.h"
#include "utils.h"
#include "calloc.h"
#include "types.h"
#include "compile.h"
#include "mparser.h"
#include <stdlib.h>
#include <string.h>
#line 45 "parser.y"


#include "lexer.h"

static mfile parsed_code;
block_t parser_memory;

void yyerror(const char *s)
{
  error("%s around line %d of %s", s, lineno, filename);
}

static component make_binary(unsigned int op, component arg1, component arg2)
{
  return new_component(parser_memory, c_builtin, op, 2, arg1, arg2);
}

static component make_unary(unsigned int op, component arg)
{
  return new_component(parser_memory, c_builtin, op, 1, arg);
}

void parser_init(void)
{
}

static block_t line_memory;

mfile parse(block_t heap)
{
  int result;

  parser_memory = heap;
  line_memory = new_block();
  erred = FALSE;
  result = yyparse();
  free_block(line_memory);
  line_memory = parser_memory = NULL;

  return result == 0 && !erred ? parsed_code : NULL;
}

static struct lstack {
  struct lstack *next;
  int lineno;
  const char *filename;
} *lstack;

static void lpush(int lineno, const char *filename)
{
  struct lstack *newp = allocate(line_memory, sizeof *newp);

  newp->next = lstack;
  lstack = newp;

  newp->lineno = lineno;
  newp->filename = filename;
}

static void lpop(int *lineno, const char **filename)
{
  *lineno = lstack->lineno;
  *filename = lstack->filename;
  lstack = lstack->next;
}

struct mkeyword {
  char *name;
  mtype value;
};

static struct mkeyword types[] = {
  { "int", type_integer },
  { "string", type_string },
  { "vector", type_vector },
  { "pair", type_pair },
  { "symbol", type_symbol },
  { "table", type_table },
  { "object", type_object },
  { "character", type_character },
  { "gone", type_gone },
  { "function", stype_function },
  { "list", stype_list },
  { "none", stype_none },
  { "any", stype_any },
  { "null", type_null }
};
#define NTYPES (sizeof types / sizeof(struct mkeyword))

mtype find_type(const char *name)
{
  int i;

  for (i = 0; i < NTYPES; i++)
    if (!stricmp(name, types[i].name))
      return types[i].value;

  error("unknown type %s", name);
  return stype_none;
}

#ifndef YYSTYPE
#define YYSTYPE int
#endif
#ifndef YYDEBUG
#define YYDEBUG 1
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		198
#define	YYFLAG		-32768
#define	YYNTBASE	50

#define YYTRANSLATE(x) ((unsigned)(x) <= 288 ? yytranslate[x] : 96)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,    40,    33,     2,    47,
    48,    38,    36,    49,    37,    20,    39,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,    44,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    45,     2,    46,    32,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,    31,     2,    42,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    34,    35,    41,    43
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     6,     8,    10,    12,    20,    29,    31,
    32,    35,    36,    39,    42,    43,    46,    47,    50,    54,
    56,    57,    59,    61,    63,    66,    70,    72,    73,    75,
    77,    81,    88,    90,    92,    94,    96,    98,   105,   106,
   109,   115,   118,   122,   123,   130,   131,   133,   137,   139,
   140,   142,   147,   151,   154,   156,   157,   159,   161,   165,
   169,   173,   177,   181,   185,   189,   193,   197,   201,   205,
   209,   213,   217,   221,   225,   229,   233,   237,   241,   245,
   248,   251,   254,   256,   258,   260,   262,   264,   267,   269,
   273,   278,   283,   284,   286,   290,   292,   294,   298,   302,
   304,   306,   307,   310,   312,   317,   323,   330,   331,   333,
   337
};

static const short yyrhs[] = {    -1,
    51,    52,     0,    53,     0,    55,     0,    54,     0,    61,
     0,    14,    56,    57,    59,    60,    93,    63,     0,    15,
    13,    57,    58,    59,    60,    93,    63,     0,    13,     0,
     0,    16,    94,     0,     0,    17,    94,     0,    18,    94,
     0,     0,    19,    94,     0,     0,    62,    63,     0,    62,
    44,    64,     0,    64,     0,     0,    44,     0,    65,     0,
    68,     0,    66,    64,     0,    27,    13,    29,     0,    66,
     0,     0,    69,     0,    75,     0,    92,     7,    64,     0,
    84,    45,    64,    46,     7,    64,     0,    83,     0,    70,
     0,    72,     0,    73,     0,    74,     0,     4,    47,    64,
    48,    64,    71,     0,     0,     5,    64,     0,     6,    47,
    64,    48,    64,     0,    10,    64,     0,     9,    67,    68,
     0,     0,    81,     3,    76,    77,    78,    64,     0,     0,
    12,     0,    47,    79,    48,     0,    92,     0,     0,    80,
     0,    80,    49,    82,    92,     0,    80,    49,    92,     0,
    82,    92,     0,    92,     0,     0,    82,     0,    13,     0,
    83,    20,    83,     0,    83,    21,    83,     0,    83,    22,
    83,     0,    83,    23,    83,     0,    83,    24,    83,     0,
    83,    25,    83,     0,    83,    26,    83,     0,    83,    27,
    83,     0,    83,    28,    83,     0,    83,    29,    83,     0,
    83,    30,    83,     0,    83,    31,    83,     0,    83,    32,
    83,     0,    83,    33,    83,     0,    83,    34,    83,     0,
    83,    35,    83,     0,    83,    36,    83,     0,    83,    37,
    83,     0,    83,    38,    83,     0,    83,    39,    83,     0,
    83,    40,    83,     0,    37,    83,     0,    41,    83,     0,
    42,    83,     0,    84,     0,    86,     0,    85,     0,    92,
     0,    90,     0,     8,    89,     0,    93,     0,    47,    64,
    48,     0,    84,    45,    64,    46,     0,    84,    47,    87,
    48,     0,     0,    88,     0,    88,    49,    64,     0,    64,
     0,    90,     0,    45,    91,    46,     0,    47,    91,    48,
     0,    11,     0,    12,     0,     0,    91,    89,     0,    13,
     0,    45,    64,    63,    46,     0,    45,    64,    44,    61,
    46,     0,    45,    31,    94,    31,    61,    46,     0,     0,
    95,     0,    95,    49,    92,     0,    92,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   150,   150,   152,   153,   154,   157,   160,   163,   166,   167,
   170,   171,   174,   177,   178,   181,   182,   185,   188,   189,
   192,   192,   194,   194,   196,   201,   203,   204,   206,   207,
   208,   209,   211,   214,   214,   214,   214,   216,   225,   226,
   229,   235,   241,   247,   248,   262,   263,   266,   267,   270,
   271,   274,   275,   276,   277,   280,   281,   284,   287,   288,
   289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
   299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
   309,   310,   311,   314,   315,   316,   317,   318,   319,   320,
   323,   327,   331,   332,   335,   336,   339,   340,   341,   344,
   345,   348,   349,   352,   355,   357,   359,   363,   364,   367,
   368
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","FUNCTION",
"IF","ELSE","WHILE","ASSIGN","QUOTE","MEXIT","LOOP","INTEGER","STRING","SYMBOL",
"MODULE","LIBRARY","IMPORTS","DEFINES","READS","WRITES","'.'","SC_OR","OR","SC_AND",
"AND","EQ","NE","LT","LE","GT","GE","'|'","'^'","'&'","SHIFT_LEFT","SHIFT_RIGHT",
"'+'","'-'","'*'","'/'","'%'","NOT","'~'","UMINUS","';'","'['","']'","'('","')'",
"','","start","@1","entry_types","simple","module","library","optional_symbol",
"imports","defines","reads","writes","expression_list","expression_list1","optional_semi",
"expression","labeled_expression","label","optional_label","e0","control_expression",
"if","optional_else","while","loop","exit","function_expression","@2","optional_help",
"parameters","plist","plist1","optional_type","type","e1","e2","array_ref","function_call",
"call_list","call_list1","constant","simple_constant","constant_list","variable",
"code_block","variable_list","variable_list1", NULL
};
#endif

static const short yyr1[] = {     0,
    51,    50,    52,    52,    52,    53,    54,    55,    56,    56,
    57,    57,    58,    59,    59,    60,    60,    61,    62,    62,
    63,    63,    64,    64,    65,    66,    67,    67,    68,    68,
    68,    68,    68,    69,    69,    69,    69,    70,    71,    71,
    72,    73,    74,    76,    75,    77,    77,    78,    78,    79,
    79,    80,    80,    80,    80,    81,    81,    82,    83,    83,
    83,    83,    83,    83,    83,    83,    83,    83,    83,    83,
    83,    83,    83,    83,    83,    83,    83,    83,    83,    83,
    83,    83,    83,    84,    84,    84,    84,    84,    84,    84,
    85,    86,    87,    87,    88,    88,    89,    89,    89,    90,
    90,    91,    91,    92,    93,    93,    93,    94,    94,    95,
    95
};

static const short yyr2[] = {     0,
     0,     2,     1,     1,     1,     1,     7,     8,     1,     0,
     2,     0,     2,     2,     0,     2,     0,     2,     3,     1,
     0,     1,     1,     1,     2,     3,     1,     0,     1,     1,
     3,     6,     1,     1,     1,     1,     1,     6,     0,     2,
     5,     2,     3,     0,     6,     0,     1,     3,     1,     0,
     1,     4,     3,     2,     1,     0,     1,     1,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
     2,     2,     1,     1,     1,     1,     1,     2,     1,     3,
     4,     4,     0,     1,     3,     1,     1,     3,     3,     1,
     1,     0,     2,     1,     4,     5,     6,     0,     1,     3,
     1
};

static const short yydefact[] = {     1,
    56,     0,     0,     0,    28,    56,   100,   101,   104,    10,
     0,     0,     0,     0,     0,    56,    56,     2,     3,     5,
     4,     6,    21,    20,    23,    56,    24,    29,    34,    35,
    36,    37,    30,     0,    57,    33,    83,    85,    84,    87,
    86,    89,    56,    56,   102,   102,    88,    97,    27,    56,
    42,     9,    12,    12,     0,   104,    80,    83,    86,    81,
    82,   108,    21,     0,    22,    18,    25,    44,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
    56,    56,     0,     0,     0,     0,    43,   108,    15,     0,
    26,    56,   111,     0,   109,    22,     0,    90,    19,    46,
    59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
    69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
    79,     0,    96,     0,    94,    31,    56,    56,    98,   103,
    99,    11,   108,    17,   108,    15,     0,    56,     0,     0,
   105,    47,     0,    91,    92,    56,    39,    41,    14,   108,
     0,    13,    17,    91,     0,   110,   106,    50,    56,    49,
    56,    95,    56,    38,    16,    21,     0,   107,     0,    51,
     0,    55,    45,    32,    40,    22,     7,    21,    48,     0,
    54,     8,     0,    53,    52,     0,     0,     0
};

static const short yydefgoto[] = {   196,
     1,    18,    19,    20,    21,    53,    99,   146,   144,   161,
    22,    23,    66,    24,    25,    26,    50,    27,    28,    29,
   174,    30,    31,    32,    33,   110,   153,   169,   179,   180,
    34,    35,    36,    58,    38,    39,   134,   135,   140,    40,
    95,    59,    42,   104,   105
};

static const short yypact[] = {-32768,
   283,   -35,   -17,    15,     8,   295,-32768,-32768,    10,    34,
    37,    45,   342,   342,   342,    75,   295,-32768,-32768,-32768,
-32768,-32768,    19,-32768,-32768,   295,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,    56,-32768,   370,   -23,-32768,-32768,-32768,
    59,-32768,   295,   295,-32768,-32768,-32768,-32768,-32768,   335,
-32768,-32768,    55,    55,    47,-32768,-32768,    27,-32768,-32768,
-32768,    64,    36,    30,    28,-32768,-32768,-32768,   342,   342,
   342,   342,   342,   342,   342,   342,   342,   342,   342,   342,
   342,   342,   342,   342,   342,   342,   342,   342,   342,   295,
   237,   295,    50,    51,   165,     9,-32768,    64,    82,    65,
-32768,   295,-32768,    72,    58,    28,    63,-32768,-32768,    98,
   370,   388,   388,   331,   331,   162,   162,   162,   162,   162,
   162,   223,   223,   231,    91,    91,   -29,   -29,-32768,-32768,
-32768,    67,-32768,    70,    62,-32768,   295,   295,-32768,-32768,
-32768,-32768,    64,    96,    64,    82,    73,   295,    64,    78,
-32768,-32768,     1,   114,-32768,   295,   120,-32768,-32768,    64,
    87,-32768,    96,-32768,    89,-32768,-32768,   125,   295,-32768,
   295,-32768,   295,-32768,-32768,    97,    87,-32768,   101,   102,
    64,-32768,-32768,-32768,-32768,-32768,-32768,    97,-32768,   125,
-32768,-32768,    64,-32768,-32768,   145,   146,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,-32768,-32768,    99,-32768,    11,    -9,
  -104,-32768,   -62,   117,-32768,   157,-32768,   106,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,  -161,   151,     2,-32768,-32768,-32768,-32768,   159,     0,
   123,    -1,  -144,   -92,-32768
};


#define	YYLAST		428


static const short yytable[] = {    41,
   107,   150,    37,    48,    41,   142,   181,    37,    87,    88,
    89,    43,   -58,    56,    41,    41,   176,    37,    37,     7,
     8,    90,   -58,    91,    41,     7,     8,    37,   193,    44,
   -56,     2,   188,     3,    12,     4,     5,     6,     7,     8,
     9,    41,    41,   165,    37,    37,    52,   168,    41,    54,
   159,    37,   162,    45,    12,    46,   141,    55,    68,    45,
   103,    46,    65,    41,    13,    92,    37,   175,    14,    15,
    98,   102,    16,    91,    17,   101,    56,   108,     2,   106,
     3,   145,     4,     5,     6,     7,     8,     9,    41,    41,
    41,    37,    37,    37,    48,    48,   103,   137,   138,   143,
    41,    12,   148,    37,    41,    62,   149,    37,   151,   152,
   156,    13,   154,   187,   160,    14,    15,   155,   164,    16,
   171,    17,    51,   167,   173,   192,    85,    86,    87,    88,
    89,    16,    63,    64,   178,    41,    41,     9,    37,    37,
   186,   103,    67,   103,   197,   198,    41,   166,   189,    37,
   190,   170,   100,   177,    41,    97,   163,    37,   103,    93,
    94,    49,    47,    57,    60,    61,   182,    41,    96,    41,
    37,    41,    37,     0,    37,     7,     8,     0,     0,   191,
     0,   109,     0,     0,     0,     0,     0,     0,   194,     0,
     0,   195,    80,    81,    82,    83,    84,    85,    86,    87,
    88,    89,     0,     0,     0,     0,   132,   133,   136,    45,
   139,    46,     0,     0,     0,     0,     0,     0,   147,   111,
   112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
   122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     2,     0,     3,     0,     4,     5,     6,     7,     8,     9,
     0,     0,     0,   157,   158,    82,    83,    84,    85,    86,
    87,    88,    89,    12,    83,    84,    85,    86,    87,    88,
    89,     0,   172,    13,     0,     0,     0,    14,    15,     0,
     0,    16,     0,    17,   -93,   183,     2,   184,     3,   185,
     4,     5,     6,     7,     8,     9,    10,    11,     2,     0,
     3,     0,     4,     5,     6,     7,     8,     9,     0,    12,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    13,
     0,    12,     0,    14,    15,     0,     0,    16,     0,    17,
     0,    13,     0,     0,     0,    14,    15,     0,     2,    16,
     3,    17,     4,     5,     6,     7,     8,     9,     0,     4,
     0,     0,     7,     8,    56,    74,    75,    76,    77,    78,
    79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
    89,    13,     0,     0,     0,    14,    15,     0,    13,    16,
     0,    17,    14,    15,     0,     0,    16,     0,    17,    69,
    70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
    80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
    72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
    82,    83,    84,    85,    86,    87,    88,    89
};

static const short yycheck[] = {     1,
    63,   106,     1,     4,     6,    98,   168,     6,    38,    39,
    40,    47,     3,    13,    16,    17,   161,    16,    17,    11,
    12,    45,    13,    47,    26,    11,    12,    26,   190,    47,
     3,     4,   177,     6,    27,     8,     9,    10,    11,    12,
    13,    43,    44,   148,    43,    44,    13,    47,    50,    13,
   143,    50,   145,    45,    27,    47,    48,    13,     3,    45,
    62,    47,    44,    65,    37,     7,    65,   160,    41,    42,
    16,    45,    45,    47,    47,    29,    13,    48,     4,    44,
     6,    17,     8,     9,    10,    11,    12,    13,    90,    91,
    92,    90,    91,    92,    95,    96,    98,    48,    48,    18,
   102,    27,    31,   102,   106,    31,    49,   106,    46,    12,
    49,    37,    46,   176,    19,    41,    42,    48,    46,    45,
     7,    47,     6,    46,     5,   188,    36,    37,    38,    39,
    40,    45,    16,    17,    46,   137,   138,    13,   137,   138,
    44,   143,    26,   145,     0,     0,   148,   149,    48,   148,
    49,   153,    54,   163,   156,    50,   146,   156,   160,    43,
    44,     5,     4,    13,    14,    15,   168,   169,    46,   171,
   169,   173,   171,    -1,   173,    11,    12,    -1,    -1,   181,
    -1,    65,    -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,
    -1,   193,    31,    32,    33,    34,    35,    36,    37,    38,
    39,    40,    -1,    -1,    -1,    -1,    90,    91,    92,    45,
    46,    47,    -1,    -1,    -1,    -1,    -1,    -1,   102,    69,
    70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
    80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
     4,    -1,     6,    -1,     8,     9,    10,    11,    12,    13,
    -1,    -1,    -1,   137,   138,    33,    34,    35,    36,    37,
    38,    39,    40,    27,    34,    35,    36,    37,    38,    39,
    40,    -1,   156,    37,    -1,    -1,    -1,    41,    42,    -1,
    -1,    45,    -1,    47,    48,   169,     4,   171,     6,   173,
     8,     9,    10,    11,    12,    13,    14,    15,     4,    -1,
     6,    -1,     8,     9,    10,    11,    12,    13,    -1,    27,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
    -1,    27,    -1,    41,    42,    -1,    -1,    45,    -1,    47,
    -1,    37,    -1,    -1,    -1,    41,    42,    -1,     4,    45,
     6,    47,     8,     9,    10,    11,    12,    13,    -1,     8,
    -1,    -1,    11,    12,    13,    25,    26,    27,    28,    29,
    30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    40,    37,    -1,    -1,    -1,    41,    42,    -1,    37,    45,
    -1,    47,    41,    42,    -1,    -1,    45,    -1,    47,    20,
    21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
    31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
    23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
    33,    34,    35,    36,    37,    38,    39,    40
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/sww/share/lib/bison-1.25/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "/usr/sww/share/lib/bison-1.25/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 150 "parser.y"
{ lstack = NULL; ;
    break;}
case 2:
#line 150 "parser.y"
{ parsed_code = yyvsp[0].tfile; ;
    break;}
case 6:
#line 158 "parser.y"
{ yyval.tfile = new_file(parser_memory, f_plain, NULL, NULL, NULL, NULL, NULL, new_codeblock(parser_memory, NULL, yyvsp[0].tclist)); ;
    break;}
case 7:
#line 161 "parser.y"
{ yyval.tfile = new_file(parser_memory, f_module, yyvsp[-5].symbol, yyvsp[-4].tvlist, NULL, yyvsp[-3].tvlist, yyvsp[-2].tvlist, yyvsp[-1].tblock); ;
    break;}
case 8:
#line 164 "parser.y"
{ yyval.tfile = new_file(parser_memory, f_library, yyvsp[-6].symbol, yyvsp[-5].tvlist, yyvsp[-4].tvlist, yyvsp[-3].tvlist, yyvsp[-2].tvlist, yyvsp[-1].tblock); ;
    break;}
case 10:
#line 168 "parser.y"
{ yyval.symbol = NULL; ;
    break;}
case 11:
#line 171 "parser.y"
{ yyval.tvlist = yyvsp[0].tvlist; ;
    break;}
case 12:
#line 172 "parser.y"
{ yyval.tvlist = NULL; ;
    break;}
case 13:
#line 175 "parser.y"
{ yyval.tvlist = yyvsp[0].tvlist; ;
    break;}
case 14:
#line 178 "parser.y"
{ yyval.tvlist = yyvsp[0].tvlist; ;
    break;}
case 15:
#line 179 "parser.y"
{ yyval.tvlist = NULL; ;
    break;}
case 16:
#line 182 "parser.y"
{ yyval.tvlist = yyvsp[0].tvlist; ;
    break;}
case 17:
#line 183 "parser.y"
{ yyval.tvlist = NULL; ;
    break;}
case 18:
#line 186 "parser.y"
{ yyval.tclist = reverse_clist(yyvsp[-1].tclist); ;
    break;}
case 19:
#line 189 "parser.y"
{ yyval.tclist = new_clist(parser_memory, yyvsp[0].tcomponent, yyvsp[-2].tclist); ;
    break;}
case 20:
#line 190 "parser.y"
{ yyval.tclist = new_clist(parser_memory, yyvsp[0].tcomponent, NULL); ;
    break;}
case 25:
#line 197 "parser.y"
{ 
    yyval.tcomponent = new_component(parser_memory, c_labeled, yyvsp[-1].symbol, yyvsp[0].tcomponent); 
  ;
    break;}
case 26:
#line 201 "parser.y"
{ yyval.symbol = yyvsp[-1].symbol; ;
    break;}
case 27:
#line 203 "parser.y"
{ yyval.symbol = yyvsp[0].symbol; ;
    break;}
case 28:
#line 204 "parser.y"
{ yyval.symbol = NULL; ;
    break;}
case 30:
#line 208 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_closure, yyvsp[0].tfunction); ;
    break;}
case 31:
#line 209 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_assign, yyvsp[-2].symbol, yyvsp[0].tcomponent); ;
    break;}
case 32:
#line 211 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_builtin, b_set, 3, yyvsp[-5].tcomponent, yyvsp[-3].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 38:
#line 218 "parser.y"
{
      if (yyvsp[0].tcomponent)
        yyval.tcomponent = new_component(parser_memory, c_builtin, b_ifelse, 3, yyvsp[-3].tcomponent, yyvsp[-1].tcomponent, yyvsp[0].tcomponent);
      else
        yyval.tcomponent = new_component(parser_memory, c_builtin, b_if, 2, yyvsp[-3].tcomponent, yyvsp[-1].tcomponent);
    ;
    break;}
case 39:
#line 226 "parser.y"
{ yyval.tcomponent = NULL; ;
    break;}
case 40:
#line 227 "parser.y"
{ yyval.tcomponent = yyvsp[0].tcomponent; ;
    break;}
case 41:
#line 231 "parser.y"
{
      yyval.tcomponent = new_component(parser_memory, c_builtin, b_while, 2, yyvsp[-2].tcomponent, yyvsp[0].tcomponent);
    ;
    break;}
case 42:
#line 237 "parser.y"
{
      yyval.tcomponent = new_component(parser_memory, c_builtin, b_loop, 1, yyvsp[0].tcomponent);
    ;
    break;}
case 43:
#line 243 "parser.y"
{
      yyval.tcomponent = new_component(parser_memory, c_exit, yyvsp[-1].symbol, yyvsp[0].tcomponent);
    ;
    break;}
case 44:
#line 248 "parser.y"
{ lpush(lineno, filename); ;
    break;}
case 45:
#line 250 "parser.y"
{
      int l;
      const char *f;

      lpop(&l, &f);
      if (yyvsp[-1].tparameters.varargs)
	yyval.tfunction = new_vfunction(parser_memory, yyvsp[-5].tmtype, yyvsp[-2].string, yyvsp[-1].tparameters.var, yyvsp[0].tcomponent, l, f);
      else
        yyval.tfunction = new_function(parser_memory, yyvsp[-5].tmtype, yyvsp[-2].string, yyvsp[-1].tparameters.args, yyvsp[0].tcomponent, l, f);
    ;
    break;}
case 46:
#line 263 "parser.y"
{ yyval.string = NULL; ;
    break;}
case 48:
#line 267 "parser.y"
{ yyval.tparameters.varargs = FALSE; yyval.tparameters.args = yyvsp[-1].tvlist; ;
    break;}
case 49:
#line 268 "parser.y"
{ yyval.tparameters.varargs = TRUE; yyval.tparameters.var = yyvsp[0].symbol; ;
    break;}
case 50:
#line 271 "parser.y"
{ yyval.tvlist = NULL; ;
    break;}
case 52:
#line 275 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, yyvsp[-1].tmtype, yyvsp[-3].tvlist); ;
    break;}
case 53:
#line 276 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, stype_any, yyvsp[-2].tvlist); ;
    break;}
case 54:
#line 277 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, yyvsp[-1].tmtype, NULL); ;
    break;}
case 55:
#line 278 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, stype_any, NULL); ;
    break;}
case 56:
#line 281 "parser.y"
{ yyval.tmtype = stype_any; ;
    break;}
case 58:
#line 285 "parser.y"
{ yyval.tmtype = find_type(yyvsp[0].symbol); ;
    break;}
case 59:
#line 288 "parser.y"
{ yyval.tcomponent = make_binary(b_cons, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 60:
#line 289 "parser.y"
{ yyval.tcomponent = make_binary(b_sc_or, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 61:
#line 290 "parser.y"
{ yyval.tcomponent = make_binary(b_or, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 62:
#line 291 "parser.y"
{ yyval.tcomponent = make_binary(b_sc_and, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 63:
#line 292 "parser.y"
{ yyval.tcomponent = make_binary(b_and, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 64:
#line 293 "parser.y"
{ yyval.tcomponent = make_binary(b_eq, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 65:
#line 294 "parser.y"
{ yyval.tcomponent = make_binary(b_ne, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 66:
#line 295 "parser.y"
{ yyval.tcomponent = make_binary(b_lt, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 67:
#line 296 "parser.y"
{ yyval.tcomponent = make_binary(b_le, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 68:
#line 297 "parser.y"
{ yyval.tcomponent = make_binary(b_gt, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 69:
#line 298 "parser.y"
{ yyval.tcomponent = make_binary(b_ge, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 70:
#line 299 "parser.y"
{ yyval.tcomponent = make_binary(b_bitor, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 71:
#line 300 "parser.y"
{ yyval.tcomponent = make_binary(b_bitxor, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 72:
#line 301 "parser.y"
{ yyval.tcomponent = make_binary(b_bitand, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 73:
#line 302 "parser.y"
{ yyval.tcomponent = make_binary(b_shift_left, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 74:
#line 303 "parser.y"
{ yyval.tcomponent = make_binary(b_shift_right, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 75:
#line 304 "parser.y"
{ yyval.tcomponent = make_binary(b_add, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 76:
#line 305 "parser.y"
{ yyval.tcomponent = make_binary(b_subtract, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 77:
#line 306 "parser.y"
{ yyval.tcomponent = make_binary(b_multiply, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 78:
#line 307 "parser.y"
{ yyval.tcomponent = make_binary(b_divide, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 79:
#line 308 "parser.y"
{ yyval.tcomponent = make_binary(b_remainder, yyvsp[-2].tcomponent, yyvsp[0].tcomponent); ;
    break;}
case 80:
#line 309 "parser.y"
{ yyval.tcomponent = make_unary(b_negate, yyvsp[0].tcomponent); ;
    break;}
case 81:
#line 310 "parser.y"
{ yyval.tcomponent = make_unary(b_not, yyvsp[0].tcomponent); ;
    break;}
case 82:
#line 311 "parser.y"
{ yyval.tcomponent = make_unary(b_bitnot, yyvsp[0].tcomponent); ;
    break;}
case 86:
#line 317 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_recall, yyvsp[0].symbol); ;
    break;}
case 87:
#line 318 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_constant, yyvsp[0].tconstant); ;
    break;}
case 88:
#line 319 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_constant, yyvsp[0].tconstant); ;
    break;}
case 89:
#line 320 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_block, yyvsp[0].tblock); ;
    break;}
case 90:
#line 321 "parser.y"
{ yyval.tcomponent = yyvsp[-1].tcomponent; ;
    break;}
case 91:
#line 325 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_builtin, b_ref, 2, yyvsp[-3].tcomponent, yyvsp[-1].tcomponent); ;
    break;}
case 92:
#line 329 "parser.y"
{ yyval.tcomponent = new_component(parser_memory, c_execute, new_clist(parser_memory, yyvsp[-3].tcomponent, yyvsp[-1].tclist)); ;
    break;}
case 93:
#line 332 "parser.y"
{ yyval.tclist = NULL; ;
    break;}
case 94:
#line 333 "parser.y"
{ yyval.tclist = reverse_clist(yyvsp[0].tclist); ;
    break;}
case 95:
#line 336 "parser.y"
{ yyval.tclist = new_clist(parser_memory, yyvsp[0].tcomponent, yyvsp[-2].tclist); ;
    break;}
case 96:
#line 337 "parser.y"
{ yyval.tclist = new_clist(parser_memory, yyvsp[0].tcomponent, NULL); ;
    break;}
case 98:
#line 341 "parser.y"
{ yyval.tconstant = new_constant(parser_memory, cst_array, yyvsp[-1].tcstlist); ;
    break;}
case 99:
#line 342 "parser.y"
{ yyval.tconstant = new_constant(parser_memory, cst_list, yyvsp[-1].tcstlist); ;
    break;}
case 100:
#line 345 "parser.y"
{ yyval.tconstant = new_constant(parser_memory, cst_int, yyvsp[0].integer); ;
    break;}
case 101:
#line 346 "parser.y"
{ yyval.tconstant = new_constant(parser_memory, cst_string, yyvsp[0].string); ;
    break;}
case 102:
#line 349 "parser.y"
{ yyval.tcstlist = NULL; ;
    break;}
case 103:
#line 350 "parser.y"
{ yyval.tcstlist = new_cstlist(parser_memory, yyvsp[0].tconstant, yyvsp[-1].tcstlist); ;
    break;}
case 105:
#line 357 "parser.y"
{ yyval.tblock = new_codeblock(parser_memory, NULL, new_clist(parser_memory, yyvsp[-2].tcomponent, NULL)); ;
    break;}
case 106:
#line 359 "parser.y"
{ yyval.tblock = new_codeblock(parser_memory, NULL, new_clist(parser_memory, yyvsp[-3].tcomponent, yyvsp[-1].tclist)); ;
    break;}
case 107:
#line 361 "parser.y"
{ yyval.tblock = new_codeblock(parser_memory, yyvsp[-3].tvlist, yyvsp[-1].tclist); ;
    break;}
case 108:
#line 364 "parser.y"
{ yyval.tvlist = NULL; ;
    break;}
case 110:
#line 368 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, stype_none, yyvsp[-2].tvlist); ;
    break;}
case 111:
#line 369 "parser.y"
{ yyval.tvlist = new_vlist(parser_memory, yyvsp[0].symbol, stype_none, NULL); ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "/usr/sww/share/lib/bison-1.25/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 371 "parser.y"

