/* $Log: valuelist.h,v $
/* Revision 1.1.1.1  2001/06/28 19:48:12  dgay
/* Initial import of RC tests
/*
 * Revision 1.6  1997/08/04 22:17:26  arda
 * Fix mudlle so that it compiles with g++
 *
 * Revision 1.5  1996/07/04 00:31:29  arda
 * Simple stuff, mostly.
 *
 * Revision 1.4  1996/02/09 14:59:08  arda
 * Security holes
 *
 * Revision 1.3  1995/01/22  15:11:55  arda
 * Linux patches.
 *
 * Revision 1.2  1993/03/29  09:24:56  un_mec
 * Owl: Changed descriptor I/O
 *      New interpreter / compiler structure.
 *
 * Revision 1.3  1993/03/14  16:15:27  dgay
 * Optimised stack & gc ops.
 *
 * Revision 1.1  1992/12/27  21:41:49  un_mec
 * Mudlle source, without any Mume extensions.
 *
 */

#ifndef VALUELIST_H
#define VALUELIST_H

#include "mvalues.h"
#include "calloc.h"

/* A list of constants */
typedef struct
{
  struct local_value *sameregion first, *sameregion last;
} valuelist;

struct local_value
{
  struct local_value *sameregion next, *sameregion prev;
  value lvalue;
};

struct local_value *addtail(region r, valuelist *list, value lvalue);

#define init_list(list) do { (list)->first = (list)->last = NULL; } while (0)

#endif
