# 1 "rc.c"
# 1 "parser.h" 1



# 1 "lib/regions.h" 1



# 1 "/usr/include/stdlib.h" 1 3
 




 
 

 
 
 




#pragma ident	"@(#)stdlib.h	1.40	97/06/30 SMI"	

# 1 "/usr/include/sys/feature_tests.h" 1 3
 
 

 
 
 




#pragma ident	"@(#)feature_tests.h	1.13	97/06/26 SMI"





 











 







































 
















 

















 

























# 18 "/usr/include/stdlib.h" 2 3











typedef	struct {
	int	quot;
	int	rem;
} div_t;

typedef struct {
	long	quot;
	long	rem;
} ldiv_t;


typedef struct {
	long long	quot;
	long long	rem;
} lldiv_t;




typedef unsigned int    size_t;




typedef long	uid_t;












typedef long wchar_t;




 
# 86 "/usr/include/stdlib.h" 3


extern unsigned char	__ctype[];



extern double atof(const char *);
extern int atoi(const char *);
extern long int atol(const char *);
extern double strtod(const char *, char **);
extern long int strtol(const char *, char **, int);
extern unsigned long int strtoul(const char *, char **, int);

extern int rand(void);
extern void srand(unsigned int);





extern void *calloc(size_t, size_t);
extern void free(void *);
extern void *malloc(size_t);
extern void *realloc(void *, size_t);

extern void abort(void);
extern int atexit(void (*)(void));
extern void exit(int);
extern void _exithandle(void);
extern char *getenv(const char *);
extern int system(const char *);

extern void *bsearch(const void *, const void *, size_t, size_t,
	int (*)(const void *, const void *));
extern void qsort(void *, size_t, size_t,
	int (*)(const void *, const void *));

extern int abs(int);
extern div_t div(int, int);
extern long int labs(long);
extern ldiv_t ldiv(long, long);

extern int mbtowc(wchar_t *, const char *, size_t);
extern int mblen(const char *, size_t);
extern int wctomb(char *, wchar_t);

extern size_t mbstowcs(wchar_t *, const char *, size_t);
extern size_t wcstombs(char *, const wchar_t *, size_t);




extern double drand48(void);
extern double erand48(unsigned short *);
extern long jrand48(unsigned short *);
extern void lcong48(unsigned short *);
extern long lrand48(void);
extern long mrand48(void);
extern long nrand48(unsigned short *);
extern unsigned short *seed48(unsigned short *);
extern void srand48(long);
extern int putenv(const char *);
extern void setkey(const char *);





extern void swab(const char *, char *, int);




extern int	mkstemp(char *);


extern int	mkstemp64(char *);






extern long a64l(const char *);
extern char *ecvt(double, int, int *, int *);
extern char *fcvt(double, int, int *, int *);
extern char *gcvt(double, int, char *);
extern int getsubopt(char **, char *const *, char **);
extern int  grantpt(int);
extern char *initstate(unsigned, char *, size_t);
extern char *l64a(long);
extern char *mktemp(char *);
extern char *ptsname(int);
extern long random(void);
extern char *realpath(const char *, char *);
extern char *setstate(const char *);
extern void srandom(unsigned);
extern int ttyslot(void);
extern int  unlockpt(int);
extern void *valloc(size_t);




extern int dup2(int, int);
extern char *qecvt(long double, int, int *, int *);
extern char *qfcvt(long double, int, int *, int *);
extern char *qgcvt(long double, int, char *);
extern char *getcwd(char *, size_t);
extern const char *getexecname(void);
extern char *getlogin(void);
extern int getopt(int, char *const *, const char *);
extern char *optarg;
extern int optind, opterr, optopt;
extern char *getpass(const char *);
extern char *getpassphrase(const char *);
extern int getpw(uid_t, char *);
extern int isatty(int);
extern void *memalign(size_t, size_t);
extern char *ttyname(int);


extern long long atoll(const char *);
extern long long llabs(long long);
extern lldiv_t lldiv(long long, long long);
extern char *lltostr(long long, char *);
extern long long strtoll(const char *, char **, int);
extern unsigned long long strtoull(const char *, char **, int);
extern char *ulltostr(unsigned long long, char *);




# 349 "/usr/include/stdlib.h" 3







# 4 "lib/regions.h" 2






# 22 "lib/regions.h"


typedef unsigned long __rcintptr;

struct ablock {
  char *base, *allocfrom;
};

struct allocator {
  struct ablock page;
  struct ablock superpage;
  struct ablock hyperpage;
  struct page *pages;
  struct page *bigpages;
};

typedef struct region {






  unsigned long rc;

  struct allocator normal;
  struct allocator atomic;
  __rcintptr bytes;
} *region;

void region_init(void);

region newregion(void);


void *__internal_ralloc(region r, size_t size);
typedef size_t adjust_fn(void *x, int by);
typedef adjust_fn *type_t;
type_t internal_rctypeof(size_t t);
void *__rcralloc(region r, size_t size, adjust_fn *cleanup);
void *__internal_rarrayalloc(region r, size_t n, size_t size);
void *__rcrarrayalloc(region r, size_t n, size_t size, adjust_fn *cleanup);
char *rstralloc(region r, size_t size);
char *rstralloc0(region r, size_t size);
char *rstrdup(region r, const char *s);

 


char *rstrextend(region r, const char *old, size_t newsize);

void deleteregion(region r) deletes;
void deleteregion_ptr(region *r) deletes;
void deleteregion_array(int n, region *regions) deletes;
region regionof(void *ptr);

typedef void *(*nomem_handler)(region r, size_t n);
nomem_handler set_nomem_handler(nomem_handler newhandler);



# 92 "lib/regions.h"


typedef region regionid;

extern struct region zeroregion;

# 108 "lib/regions.h"










extern regionid __rcregionmaparray[];
register regionid *__rcregionmap asm("%g6");









# 140 "lib/regions.h"



 
enum __rcpcat { pcat_none, pcat_null, pcat_trad, pcat_reg, pcat_same };

extern unsigned long rcs_adjust_struct, rcs_adjust_array, rcs_adjust, 
  rcs_update_struct, rcs_update, rcs_update_same, rcs_update_traditional,
  rcs_global_struct, rcs_global, rcs_global_traditional;
void rcs_profile(int pid, char *filename, int lineno,
		 int kind, enum __rcpcat cat1, enum __rcpcat cat2);
enum __rcpcat __rcptrcat(void *p);
enum __rcpcat __rcupdcat(void *p, void *c);

register unsigned long perturb_counter asm("%g7");

void __rc_stick_adjust(void), __rc_etick_adjust(void);
void __rc_stick_update(void), __rc_etick_update(void);
void __rc_stick_global(void), __rc_etick_global(void);

 

void findrefs(region r, void *from, void *to);

void findgrefs(region r);
void findrrefs(region r, region from);


# 4 "parser.h" 2

# 1 "/usr/include/stdio.h" 1 3
 
 

 
 
 

 






#pragma ident	"@(#)stdio.h	1.49	97/05/09 SMI"	


# 1 "/usr/include/sys/va_list.h" 1 3
 







#pragma ident	"@(#)va_list.h	1.6	96/01/26 SMI"

 













# 41 "/usr/include/sys/va_list.h" 3



typedef void *__va_list;











# 18 "/usr/include/stdio.h" 2 3


 

















 





typedef	long long	__longlong_t;













typedef long		off_t;




typedef __longlong_t	off64_t;





typedef long		fpos_t;




typedef __longlong_t	fpos64_t;








 










 



















# 122 "/usr/include/stdio.h" 3




















































typedef struct	 
{




	int		_cnt;	 
	unsigned char	*_ptr;	 

	unsigned char	*_base;	 
	unsigned char	_flag;	 
	unsigned char	_file;	 
} FILE;


extern FILE		__iob[20 ];



extern FILE		*_lastbuf;
extern unsigned char	*_bufendtab[];

extern unsigned char	 _sibuf[], _sobuf[];


 
# 222 "/usr/include/stdio.h" 3




extern int	remove(const char *);
extern int	rename(const char *, const char *);
extern FILE	*tmpfile(void);
extern char	*tmpnam(char *);



extern int	fclose(FILE *);
extern int	fflush(FILE *);
extern FILE	*fopen(const char *, const char *);
extern FILE	*freopen(const char *, const char *, FILE *);
extern void	setbuf(FILE *, char *);


extern void setbuffer(FILE *, char *, size_t);
extern int setlinebuf(FILE *);

extern int	setvbuf(FILE *, char *, int, size_t);
 
extern int	fprintf(FILE *, const char *, ...);
 
extern int	fscanf(FILE *, const char *, ...);
 
extern int	printf(const char *, ...);
 
extern int	scanf(const char *, ...);


 
extern int	snprintf(char *, size_t, const char *, ...);

 
extern int	sprintf(char *, const char *, ...);
 
extern int	sscanf(const char *, const char *, ...);
extern int	vfprintf(FILE *, const char *, __va_list);
extern int	vprintf(const char *, __va_list);


extern int	vsnprintf(char *, size_t, const char *, __va_list);

extern int	vsprintf(char *, const char *, __va_list);
extern int	fgetc(FILE *);
extern char	*fgets(char *, int, FILE *);
extern int	fputc(int, FILE *);
extern int	fputs(const char *, FILE *);
extern int	getc(FILE *);
extern int	getchar(void);
extern char	*gets(char *);
extern int	putc(int, FILE *);
extern int	putchar(int);
extern int	puts(const char *);
extern int	ungetc(int, FILE *);
extern size_t	fread(void *, size_t, size_t, FILE *);
extern size_t	fwrite(const void *, size_t, size_t, FILE *);
extern int	fgetpos(FILE *, fpos_t *);
extern int	fseek(FILE *, long, int);
extern int	fsetpos(FILE *, const fpos_t *);
extern long	ftell(FILE *);
extern void	rewind(FILE *);
extern void	clearerr(FILE *);
extern int	feof(FILE *);
extern int	ferror(FILE *);
extern void	perror(const char *);

extern int	__filbuf(FILE *);
extern int	__flsbuf(int, FILE *);

 





extern FILE	*fdopen(int, const char *);
extern char	*ctermid(char *);
extern int	fileno(FILE *);



 


# 319 "/usr/include/stdio.h" 3


 




extern FILE	*popen(const char *, const char *);
extern char	*cuserid(char *);
extern char	*tempnam(const char *, const char *);
extern int	getopt(int, char *const *, const char *);

extern int	getsubopt(char **, char *const *, char **);

extern char	*optarg;
extern int	optind, opterr, optopt;
extern int	getw(FILE *);
extern int	putw(int, FILE *);
extern int	pclose(FILE *);



 



extern int	fseeko(FILE *, off_t, int);
extern off_t	ftello(FILE *);


 





extern FILE	*fopen64(const char *, const char *);
extern FILE	*freopen64(const char *, const char *, FILE *);
extern FILE	*tmpfile64(void);
extern int	fgetpos64(FILE *, fpos64_t *);
extern int	fsetpos64(FILE *, const fpos64_t *);
extern int	fseeko64(FILE *, off64_t, int);
extern off64_t	ftello64(FILE *);


# 467 "/usr/include/stdio.h" 3



























# 515 "/usr/include/stdio.h" 3









# 5 "parser.h" 2


# 1 "/usr/include/string.h" 1 3
 
 

 
 
 

 








#pragma ident	"@(#)string.h	1.19	96/03/12 SMI"	


















extern void *memcpy(void *, const void *, size_t);
extern void *memmove(void *, const void *, size_t);
extern char *strcpy(char *, const char *);
extern char *strncpy(char *, const char *, size_t);

extern char *strcat(char *, const char *);
extern char *strncat(char *, const char *, size_t);

extern int memcmp(const void *, const void *, size_t);
extern int strcmp(const char *, const char *);
extern int strcoll(const char *, const char *);
extern int strncmp(const char *, const char *, size_t);
extern size_t strxfrm(char *, const char *, size_t);

extern void *memchr(const void *, int, size_t);
extern char *strchr(const char *, int);
extern size_t strcspn(const char *, const char *);
extern char *strpbrk(const char *, const char *);
extern char *strrchr(const char *, int);
extern size_t strspn(const char *, const char *);
extern char *strstr(const char *, const char *);
extern char *strtok(char *, const char *);




extern void *memset(void *, int, size_t);
extern char *strerror(int);
extern size_t strlen(const char *);



extern void *memccpy(void *, const void *, int, size_t);




extern char *strsignal(int);
extern int ffs(int);
extern int strcasecmp(const char *, const char *);
extern int strncasecmp(const char *, const char *, size_t);





extern char *strdup(const char *);


# 136 "/usr/include/string.h" 3







# 7 "parser.h" 2

# 1 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/../../../../sparc-sun-solaris2.6/include/assert.h" 1 3
 








# 19 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/../../../../sparc-sun-solaris2.6/include/assert.h" 3




 






extern void __eprintf (const char *, const char *, unsigned, const char *)
    __attribute__ ((noreturn));









# 52 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/../../../../sparc-sun-solaris2.6/include/assert.h" 3



# 8 "parser.h" 2

# 1 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/stdarg.h" 1 3
 




























# 1 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/va-sparc.h" 1 3
 


 








 

typedef void * __gnuc_va_list;



 





 









# 47 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/va-sparc.h" 3



void va_end (__gnuc_va_list);		 

 

enum __va_type_classes {
  __no_type_class = -1,
  __void_type_class,
  __integer_type_class,
  __char_type_class,
  __enumeral_type_class,
  __boolean_type_class,
  __pointer_type_class,
  __reference_type_class,
  __offset_type_class,
  __real_type_class,
  __complex_type_class,
  __function_type_class,
  __method_type_class,
  __record_type_class,
  __union_type_class,
  __array_type_class,
  __string_type_class,
  __set_type_class,
  __file_type_class,
  __lang_type_class
};




 




 




# 134 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/va-sparc.h" 3





 

 



# 159 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/va-sparc.h" 3



 



# 30 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/stdarg.h" 2 3

# 135 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/stdarg.h" 3








 
 














 










typedef __gnuc_va_list va_list;




# 207 "/usr/sww/pkg/gcc-2.95.2/lib/gcc-lib/sparc-sun-solaris2.6/2.95.2/include/stdarg.h" 3






# 9 "parser.h" 2


# 1 "config.h" 1



typedef int bool;
typedef long long int64;
typedef unsigned long long uint64;



# 1 "cstring.h" 1



 

typedef struct {
  char *data;
  int length;
} cstring;

 
cstring make_cstring(region r, const char *s, int l);


 
cstring str2cstring(region r, const char *s);


# 10 "config.h" 2














 


 















# 11 "parser.h" 2

# 1 "utils.h" 1





void *xmalloc(size_t size);
void *xrealloc(void *p, size_t newsize);

 















# 12 "parser.h" 2

# 1 "AST.h" 1



typedef int id_declaration_list;
typedef struct typelist *typelist;
typedef struct type *type;

typedef struct edge *edge;

# 1 "AST_types.h" 1
 

typedef struct AST_node *node;
typedef struct AST_declaration *declaration;
typedef struct AST_statement *statement;
typedef struct AST_expression *expression;
typedef struct AST_type_element *type_element;
typedef struct AST_declarator *declarator;
typedef struct AST_label *label;
typedef struct AST_asm_decl *asm_decl;
typedef struct AST_data_decl *data_decl;
typedef struct AST_extension_decl *extension_decl;
typedef struct AST_ellipsis_decl *ellipsis_decl;
typedef struct AST_enumerator *enumerator;
typedef struct AST_oldidentifier_decl *oldidentifier_decl;
typedef struct AST_function_decl *function_decl;
typedef struct AST_implicit_decl *implicit_decl;
typedef struct AST_variable_decl *variable_decl;
typedef struct AST_field_decl *field_decl;
typedef struct AST_asttype *asttype;
typedef struct AST_typename *typename;
typedef struct AST_typeof_expr *typeof_expr;
typedef struct AST_typeof_type *typeof_type;
typedef struct AST_attribute *attribute;
typedef struct AST_rid *rid;
typedef struct AST_tag_ref *tag_ref;
typedef struct AST_function_declarator *function_declarator;
typedef struct AST_pointer_declarator *pointer_declarator;
typedef struct AST_array_declarator *array_declarator;
typedef struct AST_identifier_declarator *identifier_declarator;
typedef struct AST_asm_stmt *asm_stmt;
typedef struct AST_compound_stmt *compound_stmt;
typedef struct AST_if_stmt *if_stmt;
typedef struct AST_labeled_stmt *labeled_stmt;
typedef struct AST_expression_stmt *expression_stmt;
typedef struct AST_conditional_stmt *conditional_stmt;
typedef struct AST_switch_stmt *switch_stmt;
typedef struct AST_for_stmt *for_stmt;
typedef struct AST_break_stmt *break_stmt;
typedef struct AST_continue_stmt *continue_stmt;
typedef struct AST_return_stmt *return_stmt;
typedef struct AST_goto_stmt *goto_stmt;
typedef struct AST_computed_goto_stmt *computed_goto_stmt;
typedef struct AST_empty_stmt *empty_stmt;
typedef struct AST_constant *constant;
typedef struct AST_unary *unary;
typedef struct AST_binary *binary;
typedef struct AST_comma *comma;
typedef struct AST_sizeof_type *sizeof_type;
typedef struct AST_alignof_type *alignof_type;
typedef struct AST_label_address *label_address;
typedef struct AST_cast *cast;
typedef struct AST_cast_list *cast_list;
typedef struct AST_conditional *conditional;
typedef struct AST_identifier *identifier;
typedef struct AST_compound_expr *compound_expr;
typedef struct AST_function_call *function_call;
typedef struct AST_field_ref *field_ref;
typedef struct AST_assign *assign;
typedef struct AST_init_list *init_list;
typedef struct AST_init_index *init_index;
typedef struct AST_init_field *init_field;
typedef struct AST_signed_cst *signed_cst;
typedef struct AST_unsigned_cst *unsigned_cst;
typedef struct AST_lexical_cst *lexical_cst;
typedef struct AST_expr_cst *expr_cst;
typedef struct AST_string *string;
typedef struct AST_id_label *id_label;
typedef struct AST_case_label *case_label;
typedef struct AST_default_label *default_label;
typedef struct AST_word *word;
typedef struct AST_asm_operand *asm_operand;
typedef struct AST_spec_stack *spec_stack;
typedef struct AST_adjust_rc *adjust_rc;
typedef struct AST_update_rc *update_rc;
typedef struct AST_global_rc *global_rc;
typedef struct AST_adjust_function_decl *adjust_function_decl;
typedef struct AST_adjustarray_function_decl *adjustarray_function_decl;
typedef struct AST_update_function_decl *update_function_decl;
typedef struct AST_declaration *error_decl;
typedef struct AST_tag_ref *struct_ref;
typedef struct AST_tag_ref *union_ref;
typedef struct AST_tag_ref *enum_ref;
typedef struct AST_statement *error_stmt;
typedef struct AST_conditional_stmt *while_stmt;
typedef struct AST_conditional_stmt *dowhile_stmt;
typedef struct AST_expression *error_expr;
typedef struct AST_binary *array_ref;
typedef struct AST_unary *dereference;
typedef struct AST_unary *extension_expr;
typedef struct AST_unary *sizeof_expr;
typedef struct AST_unary *alignof_expr;
typedef struct AST_unary *realpart;
typedef struct AST_unary *imagpart;
typedef struct AST_unary *address_of;
typedef struct AST_unary *unary_minus;
typedef struct AST_unary *unary_plus;
typedef struct AST_unary *conjugate;
typedef struct AST_unary *preincrement;
typedef struct AST_unary *predecrement;
typedef struct AST_unary *postincrement;
typedef struct AST_unary *postdecrement;
typedef struct AST_unary *bitnot;
typedef struct AST_unary *not;
typedef struct AST_binary *plus;
typedef struct AST_binary *minus;
typedef struct AST_binary *times;
typedef struct AST_binary *divide;
typedef struct AST_binary *modulo;
typedef struct AST_binary *lshift;
typedef struct AST_binary *rshift;
typedef struct AST_binary *leq;
typedef struct AST_binary *geq;
typedef struct AST_binary *lt;
typedef struct AST_binary *gt;
typedef struct AST_binary *eq;
typedef struct AST_binary *ne;
typedef struct AST_binary *bitand;
typedef struct AST_binary *bitor;
typedef struct AST_binary *bitxor;
typedef struct AST_binary *andand;
typedef struct AST_binary *oror;
typedef struct AST_binary *plus_assign;
typedef struct AST_binary *minus_assign;
typedef struct AST_binary *times_assign;
typedef struct AST_binary *divide_assign;
typedef struct AST_binary *modulo_assign;
typedef struct AST_binary *lshift_assign;
typedef struct AST_binary *rshift_assign;
typedef struct AST_binary *bitand_assign;
typedef struct AST_binary *bitor_assign;
typedef struct AST_binary *bitxor_assign;
typedef enum {
  kind_node = 0x1,
  kind_declaration = 0x41,
  kind_statement = 0x81,
  kind_expression = 0xc1,
  kind_type_element = 0x101,
  kind_declarator = 0x141,
  kind_label = 0x181,
  kind_asm_decl = 0x1041,
  kind_data_decl = 0x2041,
  kind_extension_decl = 0x3041,
  kind_ellipsis_decl = 0x4041,
  kind_enumerator = 0x5041,
  kind_oldidentifier_decl = 0x6041,
  kind_function_decl = 0x7041,
  kind_implicit_decl = 0x8041,
  kind_variable_decl = 0x9041,
  kind_field_decl = 0xa041,
  kind_asttype = 0x1c1,
  kind_typename = 0x1101,
  kind_typeof_expr = 0x2101,
  kind_typeof_type = 0x3101,
  kind_attribute = 0x4101,
  kind_rid = 0x5101,
  kind_tag_ref = 0x6101,
  kind_function_declarator = 0x1141,
  kind_pointer_declarator = 0x2141,
  kind_array_declarator = 0x3141,
  kind_identifier_declarator = 0x4141,
  kind_asm_stmt = 0x1081,
  kind_compound_stmt = 0x2081,
  kind_if_stmt = 0x3081,
  kind_labeled_stmt = 0x4081,
  kind_expression_stmt = 0x5081,
  kind_conditional_stmt = 0x6081,
  kind_switch_stmt = 0x46081,
  kind_for_stmt = 0x7081,
  kind_break_stmt = 0x8081,
  kind_continue_stmt = 0x9081,
  kind_return_stmt = 0xa081,
  kind_goto_stmt = 0xb081,
  kind_computed_goto_stmt = 0xc081,
  kind_empty_stmt = 0xd081,
  kind_constant = 0x10c1,
  kind_unary = 0x20c1,
  kind_binary = 0x30c1,
  kind_comma = 0x40c1,
  kind_sizeof_type = 0x50c1,
  kind_alignof_type = 0x60c1,
  kind_label_address = 0x70c1,
  kind_cast = 0x420c1,
  kind_cast_list = 0x80c1,
  kind_conditional = 0x90c1,
  kind_identifier = 0xa0c1,
  kind_compound_expr = 0xb0c1,
  kind_function_call = 0xc0c1,
  kind_field_ref = 0x820c1,
  kind_assign = 0x430c1,
  kind_init_list = 0xd0c1,
  kind_init_index = 0xe0c1,
  kind_init_field = 0xf0c1,
  kind_signed_cst = 0x410c1,
  kind_unsigned_cst = 0x810c1,
  kind_lexical_cst = 0xc10c1,
  kind_expr_cst = 0x1010c1,
  kind_string = 0x1410c1,
  kind_id_label = 0x1181,
  kind_case_label = 0x2181,
  kind_default_label = 0x3181,
  kind_word = 0x201,
  kind_asm_operand = 0x241,
  kind_spec_stack = 0x2,
  kind_adjust_rc = 0x100c1,
  kind_update_rc = 0x830c1,
  kind_global_rc = 0xc30c1,
  kind_adjust_function_decl = 0xb041,
  kind_adjustarray_function_decl = 0xc041,
  kind_update_function_decl = 0xd041,
  kind_error_decl = 0xe041,
  kind_struct_ref = 0x46101,
  kind_union_ref = 0x86101,
  kind_enum_ref = 0xc6101,
  kind_error_stmt = 0xe081,
  kind_while_stmt = 0x86081,
  kind_dowhile_stmt = 0xc6081,
  kind_error_expr = 0x110c1,
  kind_array_ref = 0x1030c1,
  kind_dereference = 0xc20c1,
  kind_extension_expr = 0x1020c1,
  kind_sizeof_expr = 0x1420c1,
  kind_alignof_expr = 0x1820c1,
  kind_realpart = 0x1c20c1,
  kind_imagpart = 0x2020c1,
  kind_address_of = 0x2420c1,
  kind_unary_minus = 0x2820c1,
  kind_unary_plus = 0x2c20c1,
  kind_conjugate = 0x3020c1,
  kind_preincrement = 0x3420c1,
  kind_predecrement = 0x3820c1,
  kind_postincrement = 0x3c20c1,
  kind_postdecrement = 0x4020c1,
  kind_bitnot = 0x4420c1,
  kind_not = 0x4820c1,
  kind_plus = 0x1430c1,
  kind_minus = 0x1830c1,
  kind_times = 0x1c30c1,
  kind_divide = 0x2030c1,
  kind_modulo = 0x2430c1,
  kind_lshift = 0x2830c1,
  kind_rshift = 0x2c30c1,
  kind_leq = 0x3030c1,
  kind_geq = 0x3430c1,
  kind_lt = 0x3830c1,
  kind_gt = 0x3c30c1,
  kind_eq = 0x4030c1,
  kind_ne = 0x4430c1,
  kind_bitand = 0x4830c1,
  kind_bitor = 0x4c30c1,
  kind_bitxor = 0x5030c1,
  kind_andand = 0x5430c1,
  kind_oror = 0x5830c1,
  kind_plus_assign = 0x5c30c1,
  kind_minus_assign = 0x6030c1,
  kind_times_assign = 0x6430c1,
  kind_divide_assign = 0x6830c1,
  kind_modulo_assign = 0x6c30c1,
  kind_lshift_assign = 0x7030c1,
  kind_rshift_assign = 0x7430c1,
  kind_bitand_assign = 0x7830c1,
  kind_bitor_assign = 0x7c30c1,
  kind_bitxor_assign = 0x8030c1
} ast_kind;


































































































































# 10 "AST.h" 2

# 1 "c-lex.h" 1



 



















typedef struct
{ 
  char *filename;
  unsigned long lineno;
  bool in_system_header;
} location;

extern location last_location, dummy_location;

enum rid
{
  RID_UNUSED,

  RID_INT,
  RID_CHAR,
  RID_FLOAT,
  RID_DOUBLE,
  RID_VOID,

  RID_UNSIGNED,
  RID_SHORT,
  RID_LONG,
  RID_SIGNED,
  RID_CONST,
  RID_VOLATILE,
  RID_SAMEREGION,
  RID_TRADITIONAL,
  RID_INLINE,
  RID_COMPLEX,

  RID_AUTO,
  RID_STATIC,
  RID_EXTERN,
  RID_REGISTER,
  RID_TYPEDEF,

  RID_DELETES,

  RID_MAX
};






extern char *token_buffer;	 
extern bool in_system_header;	 

int yylex(void);
void init_lex(void);


# 11 "AST.h" 2

# 1 "decls.h" 1



# 1 "env.h" 1



typedef struct env *env;

 

env new_env(region r, env parent);

 

 
env env_parent(env e);

 
region env_region(env e);

 


void *env_lookup(env e, const char *s, bool this_level_only);

 





void env_add(env e, const char *s, void *value);

 
typedef struct entry *env_scanner;
void env_scan(env e, env_scanner *scanner);
bool env_next(env_scanner *scanner, const char **name, void **value);


# 4 "decls.h" 2


 

typedef struct field_declaration {
  struct field_declaration *next;  
  const char *name;		 
  type type;
  field_decl ast;
  constant bitwidth;		 
} *field_declaration;

 
typedef struct tag_declaration {
  int kind;  
  const char *name;  
   
  env fields;
  field_declaration fieldlist;
  tag_ref ast;
  struct tag_declaration *shadowed;  
  bool defined, being_defined;
  bool fields_const, fields_volatile;
} *tag_declaration;

typedef enum { decl_variable, decl_constant, decl_function,
	       decl_typedef, decl_error } data_kind;

typedef struct data_declaration {
  data_kind kind;
  const char *name;
  type type;

  struct data_declaration *shadowed;  
  declaration definition;  
  declaration ast;  
  expression initialiser;  

  bool islimbo;  

  bool isexternalscope;  
  bool isfilescoperef;  
  bool needsmemory;    

   






  bool isused;
  bool in_system_header;

   
  enum { function_implicit, function_normal, function_static, function_nested }
    ftype;
  bool isinline;
  bool isexterninline;
  typelist oldstyle_args;  

   
  enum { variable_register, variable_static, variable_normal } vtype;
  bool islocal;
  bool isparameter;  

   
  constant value;

   
  long id;			 
  bool addressed;		 

  bool istemp;			 

  bool interesting;		 

  int sr_uses;			 


} *data_declaration;

typedef struct label_declaration {
  const char *name;
  bool explicitly_declared;
  bool used;
  id_label firstuse;  
  id_label definition;  
  function_decl containing_function;
} *label_declaration;

typedef struct environment
{
  struct environment *parent;
  function_decl fdecl;
  bool parm_level;
  env id_env;
  env tag_env;
} *environment;

extern data_declaration bad_decl;


# 12 "AST.h" 2

# 1 "types.h" 1



typedef enum { no_qualifiers = 0, const_qualifier = 1, volatile_qualifier = 2,
	       sameregion_qualifier = 4, traditional_qualifier = 8 } type_quals;

extern type float_type, double_type, long_double_type, 
  int_type, unsigned_int_type, long_type, unsigned_long_type,
  long_long_type, unsigned_long_long_type, short_type, unsigned_short_type,
  char_type, char_array_type, wchar_type, wchar_array_type,
  unsigned_char_type, signed_char_type, void_type, ptr_void_type,
  size_t_type, ptrdiff_t_type;
extern type error_type;

void init_types(void);

 

 

type make_complex_type(type t);

 

type_quals qualifiers(bool constp, bool volatilep,
		      bool sameregionp, bool traditionalp);
type make_qualified_type(type t, type_quals qualifiers);
type qualify_type1(type t, type t1);
type qualify_type2(type t, type t1, type t2);

 
type make_pointer_type(type t);

 
type make_array_type(type t, expression size);

 


type make_function_type(type t, typelist argtypes, bool varargs,
			bool oldstyle, bool qdeletes);

 
type make_tagged_type(tag_declaration d);

typelist new_typelist(region r);
void typelist_append(typelist l, type t);

bool empty_typelist(typelist l);

 
typedef struct typelist_element *typelist_scanner;
void typelist_scan(typelist tl, typelist_scanner *scanner);
type typelist_next(typelist_scanner *scanner);


type common_type(type t1, type t2);

bool type_equal(type t1, type t2);
bool type_equal_unqualified(type t1, type t2);
bool type_compatible(type t1, type t2);
bool type_compatible_unqualified(type t1, type t2);

 
bool type_self_promoting(type t);

bool type_incomplete(type t);

type_quals type_qualifiers(type t);
bool type_const(type t);
bool type_sameregion(type t);
bool type_traditional(type t);
bool type_readonly(type t);
bool type_volatile(type t);

bool type_tagged(type t);
bool type_integral(type t);	 
bool type_floating(type t);
bool type_complex(type t);
bool type_float(type t);
bool type_double(type t);
bool type_void(type t);
bool type_char(type t);
bool type_function(type t);
bool type_array(type t);
bool type_pointer(type t);
bool type_enum(type t);
bool type_struct(type t);
bool type_union(type t);
bool type_integer(type t);	 
bool type_unsigned(type t);
bool type_smallerthanint(type t);
bool type_real(type t);
bool type_arithmetic(type t);
bool type_scalar(type t);
bool type_aggregate(type t);

type make_unsigned_type(type t);

type type_function_return_type(type t);
typelist type_function_arguments(type t);
bool type_function_varargs(type t);
bool type_function_oldstyle(type t);
bool type_function_deletes(type t);

 

bool self_promoting_args(type fntype);

type type_points_to(type t);
type type_array_of(type t);
type type_array_of_base(type t);
expression type_array_size(type t);
tag_declaration type_tag(type t);
type type_base(type t);

 

void type2ast(region r, location loc, type t, declarator inside,
	      declarator *d, type_element *modifiers);

bool type_contains_pointers(type t);
bool type_contains_cross_pointers(type t);
bool type_contains_qualified_pointers(type t);  
bool type_contains_union_with_pointers(type t);

type type_default_conversion(type from);
type function_call_type(function_call fcall);

void name_tag(tag_declaration tag);


# 13 "AST.h" 2

# 1 "dd_list.h" 1



 








typedef struct dd_list *dd_list;  
typedef struct dd_list_pos	  
{
   
  struct dd_list_pos *next;
  struct dd_list_pos *previous;
  void *data;
} *dd_list_pos;

dd_list dd_new_list(region r);
 


void dd_add_first(region r, dd_list l, void *data);
 


void dd_add_last(region r, dd_list l, void *data);
 


void dd_insert_before(region r, dd_list_pos where, void *data);
 


void dd_insert_after(region r, dd_list_pos where, void *data);
 


void dd_remove(dd_list_pos what);
 




dd_list_pos dd_first(dd_list l);
 

dd_list_pos dd_last(dd_list l);
 


 



 



 



 




 



 




 






 







unsigned long dd_length(dd_list l);
 


void dd_append(dd_list l1, dd_list l2);
 




dd_list dd_copy(region r, dd_list l);
 


void dd_free_list(dd_list l, void (*delete)(dd_list_pos p));
 




dd_list_pos dd_find(dd_list l, void *find);
 



# 14 "AST.h" 2

# 1 "bitset.h" 1



typedef struct {
  int bsize, size;  
  long bitset[0];
} *bitset;






bitset new_bitset(region r, int size);
bitset bitcopy(region r, bitset b);
bitset bclearb(bitset b);
void bforeach(void (*f)(int i, void *data), void *data, bitset b);
bitset bunion(region r, bitset b1, bitset b2);
bitset bunionb(bitset b1, bitset b2);
bitset bintersection(region r, bitset b1, bitset b2);
bitset bintersectionb(bitset b1, bitset b2);
bitset bdifference(region r, bitset b1, bitset b2);
bitset bdifferenceb(bitset b1, bitset b2);
bitset bcomplement(region r, bitset b);
bitset bcomplementb(bitset b);
bitset bassignb(bitset b1, bitset b2);
bool bitset_inp(bitset b1, bitset b2);
bool bitset_eqp(bitset b1, bitset b2);
bool bemptyp(bitset b);










# 15 "AST.h" 2

# 1 "graph.h" 1



 


 













typedef struct ggraph *ggraph;
typedef struct gnode *gnode;
typedef struct gedge *gedge;

 
 

ggraph new_graph(region r);
 


void delete_graph(ggraph g,
		  void (*delete_node)(gnode n),
		  void (*delete_edge)(gedge e));
 







ggraph copy_graph(region r, ggraph g);
 




gnode graph_add_node(ggraph g, void *data);
 





bool graph_remove_node(gnode n);
 




gedge graph_add_edge(gnode from, gnode to, void *data);
 





void graph_remove_edge(gedge e);
 



 
 

dd_list graph_nodes(region r, ggraph g);
 




gnode graph_first_node(ggraph g);
 



gnode graph_next_node(gnode n);
 





 








ggraph graph_node_graph(gnode n);
 


void *_graph_node_data(gnode n);

 


void _graph_node_set(gnode n, void *data);

 



dd_list graph_edges_in(region r, gnode n);
 





dd_list graph_edges_out(region r, gnode n);
 





gedge graph_first_edge_in(gnode n);
 



gedge graph_next_edge_in(gedge e);
 



gedge graph_first_edge_out(gnode n);
 



gedge graph_next_edge_out(gedge e);
 





 









 







gnode graph_edge_from(gedge e);
 


gnode graph_edge_to(gedge e);
 


void *_graph_edge_data(gedge n);

 


void _graph_edge_set(gedge n, void *data);

 




 
 

void graph_clear_all_marks(ggraph g);
 



void graph_mark_node(gnode n);
 



void graph_unmark_node(gnode n);
 



bool graph_node_markedp(gnode n);
 


void graph_mark_edge(gedge n);
 



void graph_unmark_edge(gedge n);
 



bool graph_edge_markedp(gedge n);
 



# 16 "AST.h" 2

# 1 "chkopt.h" 1



 































typedef int place;
typedef int gplace;  

typedef struct sr_state
{
  bitset rel;
  bitset notnull;
  bitset null;
} *sr_state;

extern struct sr_state zero_state;

void chkopt_libfn_init(void);

void optimise_rc_checks(region r, function_decl fd, bitset locals);
void optimise_rc_checks_perfile(declaration the_program);
void output_chkopt_debug(binary e);
bool known_traditional_write(binary rcop);
bool known_sameregion_write(update_rc rcop);


# 17 "AST.h" 2


enum { struct_type, union_type, enum_type };

# 1 "AST_defs.h" 1
 

node new_node(region r, location location);
declaration new_declaration(region r, location location);
statement new_statement(region r, location location);
expression new_expression(region r, location location);
type_element new_type_element(region r, location location);
declarator new_declarator(region r, location location);
label new_label(region r, location location);
asm_decl new_asm_decl(region r, location location, asm_stmt asm_stmt);
data_decl new_data_decl(region r, location location, type_element modifiers, attribute attributes, declaration decls);
extension_decl new_extension_decl(region r, location location, declaration decl);
ellipsis_decl new_ellipsis_decl(region r, location location);
enumerator new_enumerator(region r, location location, cstring cstring, expression arg1, data_declaration ddecl);
oldidentifier_decl new_oldidentifier_decl(region r, location location, cstring cstring, data_declaration ddecl);
function_decl new_function_decl(region r, location location, declarator declarator, type_element qualifiers, attribute attributes, declaration old_parms, statement stmt, function_decl parent_function, data_declaration ddecl);
implicit_decl new_implicit_decl(region r, location location, identifier ident);
variable_decl new_variable_decl(region r, location location, declarator declarator, attribute attributes, expression arg1, asm_stmt asm_stmt, data_declaration ddecl);
field_decl new_field_decl(region r, location location, declarator declarator, attribute attributes, expression arg1);
asttype new_asttype(region r, location location, declarator declarator, type_element qualifiers);
typename new_typename(region r, location location, data_declaration ddecl);
typeof_expr new_typeof_expr(region r, location location, expression arg1);
typeof_type new_typeof_type(region r, location location, asttype asttype);
attribute new_attribute(region r, location location, word word1, word word2, expression args);
rid new_rid(region r, location location, enum rid id);
tag_ref new_tag_ref(region r, location location, word word1, attribute attributes, declaration fields, bool defined);
function_declarator new_function_declarator(region r, location location, declarator declarator, declaration parms, rid fnquals, environment env);
pointer_declarator new_pointer_declarator(region r, location location, declarator declarator, type_element qualifiers);
array_declarator new_array_declarator(region r, location location, declarator declarator, expression arg1);
identifier_declarator new_identifier_declarator(region r, location location, cstring cstring);
asm_stmt new_asm_stmt(region r, location location, expression arg1, asm_operand asm_operands1, asm_operand asm_operands2, string asm_clobbers, type_element qualifiers);
compound_stmt new_compound_stmt(region r, location location, id_label id_labels, declaration decls, statement stmts, environment env);
if_stmt new_if_stmt(region r, location location, expression condition, statement stmt1, statement stmt2);
labeled_stmt new_labeled_stmt(region r, location location, label label, statement stmt);
expression_stmt new_expression_stmt(region r, location location, expression arg1);
conditional_stmt new_conditional_stmt(region r, location location, expression condition, statement stmt);
switch_stmt new_switch_stmt(region r, location location, expression condition, statement stmt);
for_stmt new_for_stmt(region r, location location, expression arg1, expression arg2, expression arg3, statement stmt);
break_stmt new_break_stmt(region r, location location);
continue_stmt new_continue_stmt(region r, location location);
return_stmt new_return_stmt(region r, location location, expression arg1);
goto_stmt new_goto_stmt(region r, location location, id_label id_label);
computed_goto_stmt new_computed_goto_stmt(region r, location location, expression arg1);
empty_stmt new_empty_stmt(region r, location location);
constant new_constant(region r, location location, bool known);
unary new_unary(region r, location location, expression arg1);
binary new_binary(region r, location location, expression arg1, expression arg2);
comma new_comma(region r, location location, expression arg1);
sizeof_type new_sizeof_type(region r, location location, asttype asttype);
alignof_type new_alignof_type(region r, location location, asttype asttype);
label_address new_label_address(region r, location location, id_label id_label);
cast new_cast(region r, location location, expression arg1, asttype asttype);
cast_list new_cast_list(region r, location location, asttype asttype, expression init_expr);
conditional new_conditional(region r, location location, expression condition, expression arg1, expression arg2);
identifier new_identifier(region r, location location, cstring cstring, data_declaration ddecl);
compound_expr new_compound_expr(region r, location location, statement stmt);
function_call new_function_call(region r, location location, expression arg1, expression args);
field_ref new_field_ref(region r, location location, expression arg1, cstring cstring);
assign new_assign(region r, location location, expression arg1, expression arg2);
init_list new_init_list(region r, location location, expression args);
init_index new_init_index(region r, location location, expression arg1, expression arg2, expression init_expr);
init_field new_init_field(region r, location location, word word1, expression init_expr);
signed_cst new_signed_cst(region r, location location, bool known, int64 signed64);
unsigned_cst new_unsigned_cst(region r, location location, bool known, uint64 unsigned64);
lexical_cst new_lexical_cst(region r, location location, bool known, cstring cstring);
expr_cst new_expr_cst(region r, location location, bool known, expression arg1);
string new_string(region r, location location, bool known, constant strings);
id_label new_id_label(region r, location location, cstring cstring);
case_label new_case_label(region r, location location, expression arg1, expression arg2);
default_label new_default_label(region r, location location);
word new_word(region r, location location, cstring cstring);
asm_operand new_asm_operand(region r, location location, string string, expression arg1);
spec_stack new_spec_stack(region r, type_element declspecs, attribute attributes, spec_stack next_ds);
adjust_rc new_adjust_rc(region r, location location, expression arg1, bool incrementrc);
update_rc new_update_rc(region r, location location, expression arg1, expression arg2, data_declaration ddecl);
global_rc new_global_rc(region r, location location, expression arg1, expression arg2);
adjust_function_decl new_adjust_function_decl(region r, location location);
adjustarray_function_decl new_adjustarray_function_decl(region r, location location);
update_function_decl new_update_function_decl(region r, location location);
error_decl new_error_decl(region r, location location);
struct_ref new_struct_ref(region r, location location, word word1, attribute attributes, declaration fields, bool defined);
union_ref new_union_ref(region r, location location, word word1, attribute attributes, declaration fields, bool defined);
enum_ref new_enum_ref(region r, location location, word word1, attribute attributes, declaration fields, bool defined);
error_stmt new_error_stmt(region r, location location);
while_stmt new_while_stmt(region r, location location, expression condition, statement stmt);
dowhile_stmt new_dowhile_stmt(region r, location location, expression condition, statement stmt);
error_expr new_error_expr(region r, location location);
array_ref new_array_ref(region r, location location, expression arg1, expression arg2);
dereference new_dereference(region r, location location, expression arg1);
extension_expr new_extension_expr(region r, location location, expression arg1);
sizeof_expr new_sizeof_expr(region r, location location, expression arg1);
alignof_expr new_alignof_expr(region r, location location, expression arg1);
realpart new_realpart(region r, location location, expression arg1);
imagpart new_imagpart(region r, location location, expression arg1);
address_of new_address_of(region r, location location, expression arg1);
unary_minus new_unary_minus(region r, location location, expression arg1);
unary_plus new_unary_plus(region r, location location, expression arg1);
conjugate new_conjugate(region r, location location, expression arg1);
preincrement new_preincrement(region r, location location, expression arg1);
predecrement new_predecrement(region r, location location, expression arg1);
postincrement new_postincrement(region r, location location, expression arg1);
postdecrement new_postdecrement(region r, location location, expression arg1);
bitnot new_bitnot(region r, location location, expression arg1);
not new_not(region r, location location, expression arg1);
plus new_plus(region r, location location, expression arg1, expression arg2);
minus new_minus(region r, location location, expression arg1, expression arg2);
times new_times(region r, location location, expression arg1, expression arg2);
divide new_divide(region r, location location, expression arg1, expression arg2);
modulo new_modulo(region r, location location, expression arg1, expression arg2);
lshift new_lshift(region r, location location, expression arg1, expression arg2);
rshift new_rshift(region r, location location, expression arg1, expression arg2);
leq new_leq(region r, location location, expression arg1, expression arg2);
geq new_geq(region r, location location, expression arg1, expression arg2);
lt new_lt(region r, location location, expression arg1, expression arg2);
gt new_gt(region r, location location, expression arg1, expression arg2);
eq new_eq(region r, location location, expression arg1, expression arg2);
ne new_ne(region r, location location, expression arg1, expression arg2);
bitand new_bitand(region r, location location, expression arg1, expression arg2);
bitor new_bitor(region r, location location, expression arg1, expression arg2);
bitxor new_bitxor(region r, location location, expression arg1, expression arg2);
andand new_andand(region r, location location, expression arg1, expression arg2);
oror new_oror(region r, location location, expression arg1, expression arg2);
plus_assign new_plus_assign(region r, location location, expression arg1, expression arg2);
minus_assign new_minus_assign(region r, location location, expression arg1, expression arg2);
times_assign new_times_assign(region r, location location, expression arg1, expression arg2);
divide_assign new_divide_assign(region r, location location, expression arg1, expression arg2);
modulo_assign new_modulo_assign(region r, location location, expression arg1, expression arg2);
lshift_assign new_lshift_assign(region r, location location, expression arg1, expression arg2);
rshift_assign new_rshift_assign(region r, location location, expression arg1, expression arg2);
bitand_assign new_bitand_assign(region r, location location, expression arg1, expression arg2);
bitor_assign new_bitor_assign(region r, location location, expression arg1, expression arg2);
bitxor_assign new_bitxor_assign(region r, location location, expression arg1, expression arg2);


 






struct AST_node {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
};

 
struct AST_declaration {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
};

 







struct AST_statement {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
};

 










struct AST_expression {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
};

 
struct AST_type_element {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
};

 
struct AST_declarator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
};

 


struct AST_label {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  label next_label;
};

 
struct AST_asm_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  asm_stmt asm_stmt;
};

 

struct AST_data_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  type_element modifiers;
  attribute attributes;
  declaration decls;
};

 
struct AST_extension_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declaration decl;
};

 
struct AST_ellipsis_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
};

 
struct AST_enumerator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  cstring cstring;
  expression arg1;
  data_declaration ddecl;
};

 
struct AST_oldidentifier_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  cstring cstring;
  data_declaration ddecl;
};

 





struct AST_function_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  type_element qualifiers;
  attribute attributes;
  declaration old_parms;
  statement stmt;
  function_decl parent_function;
  data_declaration ddecl;
  function_declarator fdeclarator;
  type declared_type;
  env undeclared_variables;
  env base_labels;
  env scoped_labels;
  statement current_loop;
  node cfg_entry;
  node * cfg_nodes;
  long cfg_nextnode;
  long cfg_size;
  node * postorder_nodes;
  node * preorder_nodes;
  long postorder_size;
  dd_list addressed_labels;
  int nlocals;
  data_declaration * vmap;
  declaration rc_fns;
  ggraph sr_graph;
  gnode sr_entry;
  data_declaration * sr_vmap;
  int sr_nvars;
  place sr_return_id;
  int sr_nptrargs;
  bool sr_unknown_arguments;
  struct sr_state sr_temp;
  place * sr_local2placeidmap;
  gnode * sr_preorder;
  int sr_size;
};

 

struct AST_implicit_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  identifier ident;
};

 





struct AST_variable_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  attribute attributes;
  expression arg1;
  asm_stmt asm_stmt;
  data_declaration ddecl;
  type declared_type;
};

 

struct AST_field_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  attribute attributes;
  expression arg1;
};

 
struct AST_asttype {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  type_element qualifiers;
};

 
struct AST_typename {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  data_declaration ddecl;
};

 
struct AST_typeof_expr {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  expression arg1;
};

 
struct AST_typeof_type {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  asttype asttype;
};

 
struct AST_attribute {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  word word1;
  word word2;
  expression args;
};

 
struct AST_rid {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  enum rid id;
};

 






struct AST_tag_ref {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  word word1;
  attribute attributes;
  declaration fields;
  bool defined;
  tag_declaration tdecl;
};

 

struct AST_function_declarator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  declaration parms;
  rid fnquals;
  environment env;
};

 
struct AST_pointer_declarator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  type_element qualifiers;
};

 
struct AST_array_declarator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  declarator declarator;
  expression arg1;
};

 
struct AST_identifier_declarator {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  cstring cstring;
};

 

struct AST_asm_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression arg1;
  asm_operand asm_operands1;
  asm_operand asm_operands2;
  string asm_clobbers;
  type_element qualifiers;
};

 


struct AST_compound_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  id_label id_labels;
  declaration decls;
  statement stmts;
  environment env;
};

 
struct AST_if_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression condition;
  statement stmt1;
  statement stmt2;
};

 
struct AST_labeled_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  label label;
  statement stmt;
};

 
struct AST_expression_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression arg1;
};

 
struct AST_conditional_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression condition;
  statement stmt;
};

 

struct AST_switch_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression condition;
  statement stmt;
  label next_label;
};

 
struct AST_for_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression arg1;
  expression arg2;
  expression arg3;
  statement stmt;
};

 
struct AST_break_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
};

 
struct AST_continue_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
};

 
struct AST_return_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression arg1;
};

 
struct AST_goto_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  id_label id_label;
};

 
struct AST_computed_goto_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
  expression arg1;
};

 
struct AST_empty_stmt {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  statement parent_loop;
  node break_dest;
  node continue_dest;
};

 
struct AST_constant {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
};

 
struct AST_unary {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
};

 
struct AST_binary {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression arg2;
};

 
struct AST_comma {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
};

 
struct AST_sizeof_type {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  asttype asttype;
};

 
struct AST_alignof_type {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  asttype asttype;
};

 
struct AST_label_address {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  id_label id_label;
};

 
struct AST_cast {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  asttype asttype;
};

 
struct AST_cast_list {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  asttype asttype;
  expression init_expr;
};

 

struct AST_conditional {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression condition;
  expression arg1;
  expression arg2;
};

 

struct AST_identifier {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  cstring cstring;
  data_declaration ddecl;
};

 
struct AST_compound_expr {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  statement stmt;
};

 
struct AST_function_call {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression args;
};

 
struct AST_field_ref {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  cstring cstring;
};

 

struct AST_assign {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression arg2;
  bool clearing;
};

 
struct AST_init_list {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression args;
};

 
struct AST_init_index {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression arg2;
  expression init_expr;
};

 
struct AST_init_field {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  word word1;
  expression init_expr;
};

 
struct AST_signed_cst {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
  int64 signed64;
};

 
struct AST_unsigned_cst {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
  uint64 unsigned64;
};

 
struct AST_lexical_cst {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
  cstring cstring;
};

 
struct AST_expr_cst {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
  expression arg1;
};

 
struct AST_string {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  bool known;
  constant strings;
};

 
struct AST_id_label {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  label next_label;
  cstring cstring;
  label_declaration ldecl;
};

 
struct AST_case_label {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  label next_label;
  expression arg1;
  expression arg2;
};

 
struct AST_default_label {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  label next_label;
};

 
struct AST_word {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  cstring cstring;
};

 
struct AST_asm_operand {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  string string;
  expression arg1;
};

 
struct AST_spec_stack {  
  ast_kind kind;
  type_element declspecs;
  attribute attributes;
  spec_stack next_ds;
};

 


struct AST_adjust_rc {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  bool incrementrc;
  data_declaration rcfn_decl;
};

 


struct AST_update_rc {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression arg2;
  data_declaration ddecl;
  data_declaration temp1;
  data_declaration temp2;
  data_declaration temp3;
  data_declaration rcfn_decl;
};

 

struct AST_global_rc {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  bool lvalue;
  bool side_effects;
  constant cst;
  bool bitfield;
  bool isregister;
  bool static_address;
  gplace lregion;
  gplace rregion;
  expression arg1;
  expression arg2;
  data_declaration temp1;
  data_declaration temp2;
  data_declaration temp3;
  data_declaration rcfn_decl;
};

 

struct AST_adjust_function_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  data_declaration rcfn_decl;
};

 

struct AST_adjustarray_function_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  data_declaration rcfn_decl;
};

 

struct AST_update_function_decl {  
  ast_kind kind;
  location location;
  type type;
  node next;
  edge edges_out;
  edge edges_in;
  node vertex;
  node vertex_next;
  long mark;
  bitset live_in;
  bitset live_out;
  node parent;
  node * parent_ptr;
  bitset inscope_vars;
  int mf_height;
  int mf_excess;
  bool mf_marked;
  bool in_postorder;
  gnode sr_vertex;
  node * defs_in;
  node * defs_out;
  data_declaration rcfn_decl;
};

node node_chain(node l1, node l2);

declaration declaration_chain(declaration l1, declaration l2);

statement statement_chain(statement l1, statement l2);

expression expression_chain(expression l1, expression l2);

type_element type_element_chain(type_element l1, type_element l2);

declarator declarator_chain(declarator l1, declarator l2);

label label_chain(label l1, label l2);

asm_decl asm_decl_chain(asm_decl l1, asm_decl l2);

data_decl data_decl_chain(data_decl l1, data_decl l2);

extension_decl extension_decl_chain(extension_decl l1, extension_decl l2);

ellipsis_decl ellipsis_decl_chain(ellipsis_decl l1, ellipsis_decl l2);

enumerator enumerator_chain(enumerator l1, enumerator l2);

oldidentifier_decl oldidentifier_decl_chain(oldidentifier_decl l1, oldidentifier_decl l2);

function_decl function_decl_chain(function_decl l1, function_decl l2);

implicit_decl implicit_decl_chain(implicit_decl l1, implicit_decl l2);

variable_decl variable_decl_chain(variable_decl l1, variable_decl l2);

field_decl field_decl_chain(field_decl l1, field_decl l2);

asttype asttype_chain(asttype l1, asttype l2);

typename typename_chain(typename l1, typename l2);

typeof_expr typeof_expr_chain(typeof_expr l1, typeof_expr l2);

typeof_type typeof_type_chain(typeof_type l1, typeof_type l2);

attribute attribute_chain(attribute l1, attribute l2);

rid rid_chain(rid l1, rid l2);

tag_ref tag_ref_chain(tag_ref l1, tag_ref l2);

function_declarator function_declarator_chain(function_declarator l1, function_declarator l2);

pointer_declarator pointer_declarator_chain(pointer_declarator l1, pointer_declarator l2);

array_declarator array_declarator_chain(array_declarator l1, array_declarator l2);

identifier_declarator identifier_declarator_chain(identifier_declarator l1, identifier_declarator l2);

asm_stmt asm_stmt_chain(asm_stmt l1, asm_stmt l2);

compound_stmt compound_stmt_chain(compound_stmt l1, compound_stmt l2);

if_stmt if_stmt_chain(if_stmt l1, if_stmt l2);

labeled_stmt labeled_stmt_chain(labeled_stmt l1, labeled_stmt l2);

expression_stmt expression_stmt_chain(expression_stmt l1, expression_stmt l2);

conditional_stmt conditional_stmt_chain(conditional_stmt l1, conditional_stmt l2);

switch_stmt switch_stmt_chain(switch_stmt l1, switch_stmt l2);

for_stmt for_stmt_chain(for_stmt l1, for_stmt l2);

break_stmt break_stmt_chain(break_stmt l1, break_stmt l2);

continue_stmt continue_stmt_chain(continue_stmt l1, continue_stmt l2);

return_stmt return_stmt_chain(return_stmt l1, return_stmt l2);

goto_stmt goto_stmt_chain(goto_stmt l1, goto_stmt l2);

computed_goto_stmt computed_goto_stmt_chain(computed_goto_stmt l1, computed_goto_stmt l2);

empty_stmt empty_stmt_chain(empty_stmt l1, empty_stmt l2);

constant constant_chain(constant l1, constant l2);

unary unary_chain(unary l1, unary l2);

binary binary_chain(binary l1, binary l2);

comma comma_chain(comma l1, comma l2);

sizeof_type sizeof_type_chain(sizeof_type l1, sizeof_type l2);

alignof_type alignof_type_chain(alignof_type l1, alignof_type l2);

label_address label_address_chain(label_address l1, label_address l2);

cast cast_chain(cast l1, cast l2);

cast_list cast_list_chain(cast_list l1, cast_list l2);

conditional conditional_chain(conditional l1, conditional l2);

identifier identifier_chain(identifier l1, identifier l2);

compound_expr compound_expr_chain(compound_expr l1, compound_expr l2);

function_call function_call_chain(function_call l1, function_call l2);

field_ref field_ref_chain(field_ref l1, field_ref l2);

assign assign_chain(assign l1, assign l2);

init_list init_list_chain(init_list l1, init_list l2);

init_index init_index_chain(init_index l1, init_index l2);

init_field init_field_chain(init_field l1, init_field l2);

signed_cst signed_cst_chain(signed_cst l1, signed_cst l2);

unsigned_cst unsigned_cst_chain(unsigned_cst l1, unsigned_cst l2);

lexical_cst lexical_cst_chain(lexical_cst l1, lexical_cst l2);

expr_cst expr_cst_chain(expr_cst l1, expr_cst l2);

string string_chain(string l1, string l2);

id_label id_label_chain(id_label l1, id_label l2);

case_label case_label_chain(case_label l1, case_label l2);

default_label default_label_chain(default_label l1, default_label l2);

word word_chain(word l1, word l2);

asm_operand asm_operand_chain(asm_operand l1, asm_operand l2);

spec_stack spec_stack_chain(spec_stack l1, spec_stack l2);

adjust_rc adjust_rc_chain(adjust_rc l1, adjust_rc l2);

update_rc update_rc_chain(update_rc l1, update_rc l2);

global_rc global_rc_chain(global_rc l1, global_rc l2);

adjust_function_decl adjust_function_decl_chain(adjust_function_decl l1, adjust_function_decl l2);

adjustarray_function_decl adjustarray_function_decl_chain(adjustarray_function_decl l1, adjustarray_function_decl l2);

update_function_decl update_function_decl_chain(update_function_decl l1, update_function_decl l2);

error_decl error_decl_chain(error_decl l1, error_decl l2);

struct_ref struct_ref_chain(struct_ref l1, struct_ref l2);

union_ref union_ref_chain(union_ref l1, union_ref l2);

enum_ref enum_ref_chain(enum_ref l1, enum_ref l2);

error_stmt error_stmt_chain(error_stmt l1, error_stmt l2);

while_stmt while_stmt_chain(while_stmt l1, while_stmt l2);

dowhile_stmt dowhile_stmt_chain(dowhile_stmt l1, dowhile_stmt l2);

error_expr error_expr_chain(error_expr l1, error_expr l2);

array_ref array_ref_chain(array_ref l1, array_ref l2);

dereference dereference_chain(dereference l1, dereference l2);

extension_expr extension_expr_chain(extension_expr l1, extension_expr l2);

sizeof_expr sizeof_expr_chain(sizeof_expr l1, sizeof_expr l2);

alignof_expr alignof_expr_chain(alignof_expr l1, alignof_expr l2);

realpart realpart_chain(realpart l1, realpart l2);

imagpart imagpart_chain(imagpart l1, imagpart l2);

address_of address_of_chain(address_of l1, address_of l2);

unary_minus unary_minus_chain(unary_minus l1, unary_minus l2);

unary_plus unary_plus_chain(unary_plus l1, unary_plus l2);

conjugate conjugate_chain(conjugate l1, conjugate l2);

preincrement preincrement_chain(preincrement l1, preincrement l2);

predecrement predecrement_chain(predecrement l1, predecrement l2);

postincrement postincrement_chain(postincrement l1, postincrement l2);

postdecrement postdecrement_chain(postdecrement l1, postdecrement l2);

bitnot bitnot_chain(bitnot l1, bitnot l2);

not not_chain(not l1, not l2);

plus plus_chain(plus l1, plus l2);

minus minus_chain(minus l1, minus l2);

times times_chain(times l1, times l2);

divide divide_chain(divide l1, divide l2);

modulo modulo_chain(modulo l1, modulo l2);

lshift lshift_chain(lshift l1, lshift l2);

rshift rshift_chain(rshift l1, rshift l2);

leq leq_chain(leq l1, leq l2);

geq geq_chain(geq l1, geq l2);

lt lt_chain(lt l1, lt l2);

gt gt_chain(gt l1, gt l2);

eq eq_chain(eq l1, eq l2);

ne ne_chain(ne l1, ne l2);

bitand bitand_chain(bitand l1, bitand l2);

bitor bitor_chain(bitor l1, bitor l2);

bitxor bitxor_chain(bitxor l1, bitxor l2);

andand andand_chain(andand l1, andand l2);

oror oror_chain(oror l1, oror l2);

plus_assign plus_assign_chain(plus_assign l1, plus_assign l2);

minus_assign minus_assign_chain(minus_assign l1, minus_assign l2);

times_assign times_assign_chain(times_assign l1, times_assign l2);

divide_assign divide_assign_chain(divide_assign l1, divide_assign l2);

modulo_assign modulo_assign_chain(modulo_assign l1, modulo_assign l2);

lshift_assign lshift_assign_chain(lshift_assign l1, lshift_assign l2);

rshift_assign rshift_assign_chain(rshift_assign l1, rshift_assign l2);

bitand_assign bitand_assign_chain(bitand_assign l1, bitand_assign l2);

bitor_assign bitor_assign_chain(bitor_assign l1, bitor_assign l2);

bitxor_assign bitxor_assign_chain(bitxor_assign l1, bitxor_assign l2);

# 21 "AST.h" 2


typedef struct AST_ast_generic
{
  ast_kind kind;
} *ast_generic;










extern declaration the_program;

unary newkind_unary(region r, ast_kind kind, location location, expression arg1);
binary newkind_binary(region r, ast_kind kind, location location,
		      expression arg1, expression arg2);
tag_ref newkind_tag_ref(region r, ast_kind kind, location location, word word1, attribute attributes, declaration fields, bool defined);
node last_node(node n);
node ast_chain(node l1, node l2);
void insert_before(node *list, node before, node n);

void AST_set_parents(node n);
void set_parent(node *nptr, node parent);
void set_parent_list(node *list, node parent);

void AST_print(node n);











# 13 "parser.h" 2

# 1 "flags.h" 1



 

 
extern int flag_volatile;

 
extern int flag_volatile_global;

 
extern int flag_syntax_only;

 

extern int flag_pedantic_errors;

 
extern int flag_pack_struct;

 

 
extern int inhibit_warnings;

 
extern int extra_warnings;

 
extern int warnings_are_errors;

 
extern int warn_unused;

 
extern int warn_uninitialized;

 
extern int warn_shadow;

 
extern int warn_switch;

 

extern int warn_return_type;

 


extern int warn_cast_align;

 

extern int warn_id_clash;
extern unsigned id_clash_len;

 


extern int warn_larger_than;
extern unsigned larger_than_size;

 
extern int warn_inline;

 

extern int warn_aggregate_return;

 
extern int dollars_in_ident;

 

extern int flag_cond_mismatch;

 
extern int flag_no_asm;

 
extern int flag_hosted;

 
extern int warn_implicit;

 


extern int warn_write_strings;

 

extern int warn_pointer_arith;

 
extern int warn_strict_prototypes;

 

extern int warn_redundant_decls;

 




extern int warn_nested_externs;

 

extern int warn_cast_qual;

 


extern int warn_bad_function_cast;

 
extern int warn_traditional;

 
extern int warn_format;

 
extern int warn_char_subscripts;

 
extern int warn_conversion;

 
extern int warn_main;

 
extern int flag_traditional;

 

extern int flag_allow_single_precision;

 
extern int warn_parentheses;

 
extern int warn_missing_braces;

 
extern int warn_sign_compare;

 

extern int mesg_implicit_function_declaration;

extern bool pedantic;  

 
extern int warn_implicit_int;

 

extern int warn_missing_prototypes;

 

extern int warn_missing_declarations;

 

extern int quiet_flag;

 
extern int flag_signed_char;

 
extern int flag_signed_bitfields;
extern int explicit_flag_signed_bitfields;

 
extern int flag_parse_only;


 
 

 
extern enum rc_algorithm_type { rc_assignment, rc_optimal, rc_functions } rc_algorithm;

 
extern int rc_locals;
extern int rc_globals;

 
extern int rc_nochecks;
 
extern int rc_keepchecks;

 
extern int rc_collect_statistics, rc_collect_statistics_end;

 
extern int rc_stats_detailed;

 
extern int rc_stats_costs;

 

extern int rc_pairs;
extern int rc_pairs_from;  
extern int rc_pairs_array;  

 
extern int rc_nodeletes;

 
extern int rc_chkopt;

 
extern int rc_chkopt_perfile;


# 14 "parser.h" 2

# 1 "errors.h" 1



extern int errorcount;
extern int warningcount;

 
void verror_with_file_and_line(const char *filename, int lineno,
			       const char *format, va_list args);

 
void verror_with_location(location l, const char *format, va_list args);

 
void verror_with_decl(declaration d, const char *format, va_list args);

 
void verror(const char *format, va_list args);

 
void error(const char *format, ...);

 
void error_with_decl(declaration d, const char *format, ...);

 
void error_with_location(location l, const char *format, ...);

 
void vfatal(const char *format, va_list args);

void fatal(const char *format, ...);

 
void vwarning_with_file_and_line(char *filename, int lineno,
				 const char *format, va_list args);

 
void vwarning_with_location(location l, const char *format, va_list args);

 
void vwarning_with_decl(declaration d, const char *format, va_list args);

 
void vwarning(const char *format, va_list args);

 
void warning(const char *format, ...);


 
void warning_with_file_and_line(char *filename, int lineno,
				const char *format, ...);

 
void warning_with_decl(declaration d, const char *format, ...);

 
void warning_with_location(location l, const char *format, ...);

 
void warning_or_error(bool iswarning, const char *format, ...);


 
void warning_or_error_with_file_and_line(bool iswarning,
					 char *filename, int lineno,
					 const char *format, ...);

 
void warning_or_error_with_decl(bool iswarning, declaration d,
				const char *format, ...);

 
void warning_or_error_with_location(bool iswarning, location l,
				    const char *format, ...);

 
void pedwarn(const char *format, ...);

 
void pedwarn_with_decl(declaration d, const char *format, ...);

 
void pedwarn_with_location(location l, const char *format, ...);


# 15 "parser.h" 2


 
extern char *progname;

 
extern int copy_argc;
extern char **copy_argv;


# 1 "rc.c" 2

# 1 "rc.h" 1





extern asttype ptrint_type_ast;
extern bool flag_perturb;
extern long perturb_seed;


void rc_init(region r);
void rc_process(declaration the_program) deletes;
void rc_check_ralloc(function_call fce);

void add_rcop(region r, edge e, data_declaration v, bool increment);


# 2 "rc.c" 2

# 1 "fix.h" 1



 
void fix_parse_tree(region r, function_decl fd);

bool simple_arg(expression e);


# 3 "rc.c" 2

# 1 "edit.h" 1



data_declaration get_parameter(declaration d);
function_declarator get_fdeclarator(declarator d);
bool oldstyle_function(function_decl fn);
bool is_localvar(expression e);
compound_stmt parent_block(node n);
function_decl parent_function(node n);
expression expression_of_stmt(compound_expr ce);  
bool expression_used(expression e);
bool is_localvar(expression e);

 


 



 




char *next_temporary(void);
data_declaration declare_temporary(region r, compound_stmt block, type t);

 

expression build_comma(region r, location loc, expression elist, expression last);

expression build_identifier(region r, location loc, data_declaration id);

expression build_assignment(region r, location loc, int assigop,
			    expression left, expression right);
expression build_increment(region r, location loc, int incop, expression lvalue);

expression build_conditional(region r, location loc, type result_type,
			     expression cond, expression true, expression false);

expression build_int_constant(region r, location loc, int c);


expression build_sizeof_expr(region r, location loc, expression e);

expression build_arithmetic(region r, location loc, int kind,
			    expression arg1, expression arg2);
expression build_lt(region r, location loc, expression arg1, expression arg2);

expression build_field_ref(region r, location loc, expression base,
			   const char *name);

statement build_expression_stmt(region r, location loc, expression e);

statement build_default(region r, location loc, statement s);

statement build_break_stmt(region r, location loc);

statement build_simple_block(region r, location loc, function_decl fd,
			     statement stmts);

void append_block(compound_stmt block, statement s);

void insert_block(compound_stmt block, statement before, statement s);

void append_stmt(region r, statement *after, statement s);

void prepend_stmt(region r, statement *before, statement s);

void append_expr(region r, expression *after, expression e);

void prepend_expr(region r, expression *before, expression e);

void insert_comma(comma ce, expression before, expression e);

data_declaration stabilise(region r, compound_stmt block, expression e,
			   expression *stabiliser);
data_declaration stabilise1(region r, compound_stmt block, expression e,
			    expression *temp, expression *stabiliser);
data_declaration stabilise2(region r, compound_stmt block, expression e,
			    expression *temp1, expression *temp2,
			    expression *stabiliser);

data_declaration stabilise_lvalue(region r, compound_stmt block,
				  expression lvalue,
				  expression *use, expression *stabiliser);

expression copy_lvalue(region r, location loc, expression lvalue);

 

void add_expression_to_edge(region r, edge e, expression expr);

bool is_assignment(void *e);
bool is_increment(void *e);
data_declaration base_identifier(data_declaration d);
bool same_function(data_declaration d1, data_declaration d2);
bool call_to(data_declaration fnd, function_call fce);
expression ignore_fields(expression e);

expression build_dereference(region r, location loc, expression ptr);

expression build_pointer_plus(region r, location loc,
			      expression arg1, expression arg2);

statement build_for_stmt(region r, location loc, expression e1,
			 expression e2, expression e3, statement body);

label_declaration declare_new_label(region r);
label build_id_label(region r, location loc, label_declaration name);
statement build_labeled_stmt(region r, location loc, label l, statement s);
statement build_goto(region r, location loc, id_label l);


# 4 "rc.c" 2

# 1 "cfg.h" 1



struct edge
{
  enum { edge_fn_entry,		 

	 edge_fn_exit,		 


	 edge_compound,		 


	 edge_compound_end,	 


	 edge_if_true,		 

	 edge_if_true_done,	 

	 edge_if_false,		 

	 edge_if_false_done,	 

	 edge_if_no_else,	 


	 edge_label,		 


	 edge_while_true,	 

	 edge_while_repeat,	 

	 edge_while_done,	 


	 edge_dowhile_dummy,	 

	 edge_dowhile_test,	 

	 edge_dowhile_true,	 

	 edge_dowhile_done,	 


	 edge_switch,		 

	 edge_switch_fallout,	 

	 edge_switch_nodefault,	 


	 edge_for_enterloop,	 

	 edge_for_exitloop,	 

	 edge_for_true,		 

	 edge_for_stmtdone,	 

	 edge_for_continue,	 

	 edge_for_repeat,	 


	 edge_break,		 


	 edge_continue,		 


	 edge_goto,		 


	 edge_computed_goto,	 


	 edge_return_expr,	 

	 edge_return,		 


	 edge_comma,		 


	 edge_conditional_true,	 

	 edge_conditional_true_done,  

	 edge_conditional_false,  

	 edge_conditional_false_done,  


	 edge_short_second,	 

	 edge_short_circuit,	 

	 edge_short_done,	 


	 edge_function_call,	 


	 edge_unary,		 

	 edge_unary_lvalue,	 


	 edge_binary,		 

	 edge_binary_lvalue,	 


	 edge_assign_local	 

  } kind;
  node info;			 



  bool nice;  
  node from, to;
  edge next_out, next_in;

  dd_list incvars;		 
  dd_list decvars;		 
  int ecount;			 

   
  int mf_flow;			 

};

void build_cfg(region r, function_decl fd);
long cfg_size(function_decl fd);
void cfg_build_postorder(region r, function_decl fd);

bool vertex_marked(node n);
void mark_vertex(node n);
void clear_all_marks(void);


# 5 "rc.c" 2

# 1 "live.h" 1



void compute_liveness(region r, function_decl fd, bitset vars);


# 6 "rc.c" 2


# 1 "unparse.h" 1



void unparse(FILE *to, declaration program) deletes;
void unparse_start(FILE *to);
void unparse_end(void) deletes;

location output_location(void);
void output(char *format, ...);
void outputln(char *format, ...);
const char *binary_op_name(ast_kind kind);
void prt_toplevel_declaration(declaration d);
void prt_nelements(expression array);
void prt_expression(expression e, int context_priority);
void prt_regionof_name(const char *name);
void prt_regionof(expression e);


# 8 "rc.c" 2

# 1 "c-parse.h" 1



struct yystype {
  union {
    void *ptr;
    asm_operand asm_operand;
    asm_stmt asm_stmt;
    attribute attribute;
    constant constant;
    declaration decl;
    declarator declarator;
    expression expr;
    id_label id_label;
    label label;
    node node;
    statement stmt;
    conditional_stmt cstmt;
    for_stmt for_stmt;
    string string;
    type_element telement;
    asttype type;
    word word;
    rid rid;

    struct {
      location location;
      int i;
    } itoken;

    struct {
      expression expr;
      int i;
    } iexpr;

    struct {
      statement stmt;
      int i;
    } istmt;

  } u;

  struct {
    location location;
    cstring id;
    data_declaration decl;
  } idtoken;
};



int yyparse(void) deletes;

 


extern region parse_region;

 


extern int unevaluated_expression;


# 9 "rc.c" 2


# 1 "constants.h" 1



constant fold_label_address(expression e);
constant fold_sizeof(expression e, type stype);
constant fold_alignof(expression e, type atype);
constant fold_cast(expression e);
constant fold_address_of(expression e);
constant fold_unary(expression e);
constant fold_binary(expression e);
constant fold_conditional(expression e);
constant fold_identifier(expression e, data_declaration decl);
constant fold_string(string s);

bool possible_zero(expression e);
bool possible_null(expression e);
bool definite_zero(expression e);
bool sum_is_constant_address(expression ptr, expression offset);

 

bool zero_expression(expression e);


# 11 "rc.c" 2

# 1 "vars.h" 1



void collect_variables(region r, function_decl fd);



# 12 "rc.c" 2

# 1 "semantics.h" 1



 



void pending_xref_error(void);

void init_semantics(void);

extern environment global_env;

data_declaration lookup_id(const char *s, bool this_level_only);
data_declaration lookup_global_id(const char *s);

 
void shadow_tag(type_element elements);

 
void shadow_tag_warned(type_element elements, int warned);


declarator make_function_declarator(location l, declarator d, declaration parms, rid quals);

 



bool start_function(type_element elements, declarator d, attribute attribs,
		    bool nested);

 
void store_parm_decls(declaration old_parms);

 
declaration finish_function(statement body);

 
extern function_decl current_function_decl;



 
void pushlevel(bool parm_level);

 
environment poplevel(void);


 
enum { var_typedef, var_register, var_normal, var_static, var_extern };

void split_type_elements(type_element tlist, type_element *declspecs,
			 attribute *attributes);

 




declaration start_decl(declarator d, asm_stmt astmt, type_element elements,
		       bool initialised, attribute extra_attributes,
		       attribute attributes);

 

declaration finish_decl(declaration decl, expression init);

 



declaration declare_parameter(declarator d, type_element elements,
			      attribute extra_attributes,
			      attribute attributes,
			      bool abstract);

declaration declare_old_parameter(location l, cstring id);


 
type_element start_struct(location l, ast_kind skind, word tag);

 

type_element finish_struct(type_element t, declaration fields,
			   attribute attribs);

 
type_element xref_tag(location l, ast_kind skind, word tag);

 
type_element start_enum(location l, word tag);

 

type_element finish_enum(type_element t, declaration names,
			 attribute attribs);

 




declaration make_field(declarator d, expression bitfield,
		       type_element elements, attribute extra_attributes,
		       attribute attributes);

declaration make_enumerator(location loc, cstring id, expression value);


 
asttype make_type(type_element elements, declarator d);


 
int save_directive(char *directive);

 
char *rid_name(rid r);

 

statement chain_with_labels(statement l1, statement l2);

const char *declarator_name(declarator d);

data_declaration lookup_id(const char *s, bool this_level_only);

 
extern function_decl current_function_decl;

data_declaration implicitly_declare(identifier fnid);

void push_label_level(void);
void pop_label_level(void);

void init_data_declaration(data_declaration dd, declaration ast,
			   const char *name, type t);
data_declaration declare(environment env, data_declaration from);

environment new_environment(region r, environment parent, bool parm_level);

tag_declaration declare_tag(tag_ref t);
tag_declaration lookup_tag(tag_ref t, bool this_level_only);
tag_declaration declare_global_tag(tag_ref t);
tag_declaration lookup_global_tag(tag_ref t);


# 13 "rc.c" 2

# 1 "callcc1.h" 1



int exec_cc1(declaration the_program) deletes;


# 14 "rc.c" 2


# 1 "builtins.h" 1



extern data_declaration gcc_builtin_classify_type, builtin_memcpy, builtin_memcmp,
  builtin_strcpy, builtin_strcmp, builtin_strlen;

void builtins_init(void);


# 16 "rc.c" 2

# 1 "optrc.h" 1



void insert_optimal_rcops(region r, function_decl fd, bitset vars);


# 17 "rc.c" 2




static FILE *debug_output;

data_declaration ralloc_symbol, rarrayalloc_symbol, rstralloc0_symbol,
  real_ralloc_symbol, real_rarrayalloc_symbol;
tag_declaration region_decl;
type region_type, ptrint_type, rc_adjust_fn_type;
asttype ptrint_type_ast;

bool flag_perturb;
long perturb_seed;

void rc_init(region r)
{
  typelist rc_adjust_fn_args;
  tag_ref region_tag;
  declarator ptd;
  type_element ptm;

  ptrint_type = unsigned_long_type;

   
  ralloc_symbol = lookup_global_id("__internal_ralloc");
  real_ralloc_symbol = lookup_global_id("__rcralloc");
  rarrayalloc_symbol = lookup_global_id("__internal_rarrayalloc");
  real_rarrayalloc_symbol = lookup_global_id("__rcrarrayalloc");
  rstralloc0_symbol = lookup_global_id("rstralloc0");

  if (!ralloc_symbol || !real_ralloc_symbol || !rarrayalloc_symbol ||
      !real_rarrayalloc_symbol || !rstralloc0_symbol)
    error("region operation occurs before #include \"regions.h\"");

  rc_adjust_fn_args = new_typelist(r);
  typelist_append(rc_adjust_fn_args, ptr_void_type);
  typelist_append(rc_adjust_fn_args, int_type);
  rc_adjust_fn_type = make_function_type(size_t_type, rc_adjust_fn_args,
					 0 , 0 , 0 );

  region_tag = new_struct_ref(r, dummy_location,
			      new_word(r, dummy_location,
				       str2cstring(r, "region")),
			      0 , 0 , 0 );
  region_decl = lookup_global_tag(region_tag);
  if (!region_decl)
    region_decl = declare_global_tag(region_tag);
  pending_xref_error();  

  if (rc_pairs_array)
    region_type = unsigned_short_type;  
  else
    region_type = make_pointer_type(make_tagged_type(region_decl));

  type2ast(r, dummy_location, ptrint_type, 0 , &ptd, &ptm);
  ptrint_type_ast = new_asttype(r, dummy_location, ptd, ptm);
}

void rc_init_once(void)
{
  static bool done = 0 ;

  if (!done)
    {
      done = 1 ;
      rc_init(newregion());
    }
}

data_declaration declare_region_temporary(region r, compound_stmt block)
{
  return declare_temporary(r, block, region_type);
}

static void print_vars(bitset vars, data_declaration *vmap)
{
  int vid;

  fprintf(debug_output, "VARS:");
  for ( vid  = 0;  vid  < (  vars )->size;  vid ++) if ((( (  vars ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
    {
      data_declaration vd = vmap[vid];

      fprintf(debug_output, " %s(%p)", vd->name, vd);
    }
  fprintf(debug_output, "\n");
}

void add_rcop(region r, edge e, data_declaration v, bool increment)
{
  dd_list *vlist = increment ? &e->incvars : &e->decvars;

  if (!*vlist)
    *vlist = dd_new_list(r);
  ((void) (( !dd_find(*vlist, v) ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   112 ,  "!dd_find(*vlist, v)" ), 0) )) ;
  dd_add_last(r, *vlist, v);
}

void insert_assignment_rcops(region r, function_decl fd, bitset vars)
{
  node *gnodes = fd->postorder_nodes;
  int nnodes = fd->postorder_size, i, vid;
  data_declaration *vmap = fd->vmap;

   





     
   
  ((void) (( gnodes[nnodes - 1] == fd->cfg_entry ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   130 ,  "gnodes[nnodes - 1] == fd->cfg_entry" ), 0) )) ;
  for ( vid  = 0;  vid  < (  gnodes[nnodes - 1]->live_in )->size;  vid ++) if ((( (  gnodes[nnodes - 1]->live_in ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
    if (vmap[vid]->isparameter)
      add_rcop(r, gnodes[nnodes - 1]->edges_out, vmap[vid], 1 );

  for (i = 0; i < nnodes; i++)
    {
      node n = gnodes[i];
      edge out;

      if ((((( n )->kind) & 0xffffff) == kind_assign) )
	{
	  assign a = ({ast_generic tEmPcast = (ast_generic)(  n ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xffffff) == kind_assign)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   142 ,  "is_assign(tEmPcast)" ), 0) )) ; ( assign )(tEmPcast); }) ;

	  if ((((( a->arg1 )->kind) & 0x3ffff) == kind_identifier) )
	    {
	      data_declaration id = ({ast_generic tEmPcast = (ast_generic)(  a->arg1 ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_identifier)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   146 ,  "is_identifier(tEmPcast)" ), 0) )) ; ( identifier )(tEmPcast); }) ->ddecl;

	       


	      if (id->id != -1 && (( vars )->bitset[(  id->id ) >> 5] & (1 << ((  id->id ) & 31)))  &&
		  !zero_expression(a->arg2))
		for (out = n->edges_out; out; out = out->next_out)
		  if ((( out->to->live_in )->bitset[(  id->id ) >> 5] & (1 << ((  id->id ) & 31))) )
		    add_rcop(r, out, id, 1 );
	    }
	}

       














      for (out = n->edges_out; out; out = out->next_out)
	{
	  bitset liveonin = out->to->live_in;
	  bitset liveonout = out->to->live_out;

	  for ( vid  = 0;  vid  < (  n->live_out )->size;  vid ++) if ((( (  n->live_out ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
	    if (! (( liveonout )->bitset[(  vid ) >> 5] & (1 << ((  vid ) & 31)))  || ! (( liveonin )->bitset[(  vid ) >> 5] & (1 << ((  vid ) & 31))) )
	      add_rcop(r, out, vmap[vid], 0 );
	}
    }
}

void insert_functions_rcops(region r, function_decl fd, bitset vars)
{
  node *gnodes = fd->postorder_nodes;
  int nnodes = fd->postorder_size, i, vid;
  data_declaration *vmap = fd->vmap;

   





     
  for (i = 0; i < nnodes; i++)
    {
      node n = gnodes[i];
      edge out, in;

       
	if ((((( n )->kind) & 0x3ffff) == kind_function_call)  &&
	    type_function_deletes(function_call_type(({ast_generic tEmPcast = (ast_generic)(  n ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_function_call)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   206 ,  "is_function_call(tEmPcast)" ), 0) )) ; ( function_call )(tEmPcast); }) )))
	  for ( vid  = 0;  vid  < (  n->live_out )->size;  vid ++) if ((( (  n->live_out ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
	    {
	      data_declaration v = vmap[vid];

	      for (in = n->edges_in; in; in = in->next_in)
		add_rcop(r, in, v, 1 );
	      for (out = n->edges_out; out; out = out->next_out)
		add_rcop(r, out, v, 0 );
	    }
    }
}

static void add_rc_fn(function_decl fd, declaration rc_fn)
{
  rc_fn->next = ({ast_generic tEmPcast = (ast_generic)(  fd->rc_fns ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   221 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) ;
  fd->rc_fns = rc_fn;
}

data_declaration lookup_rc_fn(region r, location loc, function_decl fd, type t,
			      bool update, bool do_pointer)
{
  data_declaration adjust_fn = 0 ;
  char *adjustname = 0 ;
  const char *tagname = 0 ;

  if (type_pointer(t))
    {
      if (do_pointer)
	{
	  ((void) (( !update ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   236 ,  "!update" ), 0) )) ;
	  adjustname = "__rc_adjustptr";
	}
    }
  else
    {
      tag_declaration tag = type_tag(t);

      name_tag(tag);
      tagname = tag->name;
      adjustname = rstralloc(r, strlen(tagname) + 11);
      sprintf(adjustname, "rc_%s_%s", update ? "update" : "adjust", tagname);
    }

  if (adjustname)
    {
      adjust_fn = lookup_global_id(adjustname);

      if (!adjust_fn)
	{
	  declaration rcfn;
	  data_declaration *rcfn_decl;
	  struct data_declaration tempdecl;
	  type rcfn_type;

	   

	  if (type_contains_union_with_pointers(t))
	    error_with_location(loc, "must provide %s function for struct or union %s", adjustname, tagname);

	  if (update)
	    {
	      update_function_decl updfn = new_update_function_decl(r, loc);
	      type ptr_to_t = make_pointer_type(t);
	      typelist rc_update_fn_args;

	      rcfn = ({ast_generic tEmPcast = (ast_generic)(  updfn ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_declaration)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   272 ,  "is_declaration(tEmPcast)" ), 0) )) ; ( declaration )(tEmPcast); }) ;
	      rcfn_decl = &updfn->rcfn_decl;

	      rc_update_fn_args = new_typelist(r);
	      typelist_append(rc_update_fn_args, ptr_to_t);
	      typelist_append(rc_update_fn_args, ptr_to_t);
	      rcfn_type = make_function_type(void_type, rc_update_fn_args,
					     0 , 0 , 0 );
	    }
	  else
	    {
	      adjust_function_decl adjfn = new_adjust_function_decl(r, loc);

	      rcfn = ({ast_generic tEmPcast = (ast_generic)(  adjfn ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_declaration)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   285 ,  "is_declaration(tEmPcast)" ), 0) )) ; ( declaration )(tEmPcast); }) ;
	      rcfn_decl = &adjfn->rcfn_decl;
	      rcfn_type = rc_adjust_fn_type;
	    }

	  init_data_declaration(&tempdecl, rcfn, adjustname, rcfn_type);
	  tempdecl.kind = decl_function;
	  tempdecl.needsmemory = 1 ;
	  tempdecl.isused = 1 ;
	  tempdecl.ftype = function_static;
	  tempdecl.isinline = 1 ;

	  *rcfn_decl = adjust_fn = declare(global_env, &tempdecl);
	  rcfn->type = t;

	  add_rc_fn(fd, rcfn);
	}
      else if (adjust_fn->kind != decl_function)
	{
	  error_with_location(loc, "%s is not an rc_adjust function for struct or union %s not found", adjustname, tagname);
	  adjust_fn = 0 ;
	}
    }
  return adjust_fn;
}

static expression *build_rcop(region r, location loc, function_decl fd,
			      expression idv, bool increment, expression *lastrcop)
{
  adjust_rc rcop = new_adjust_rc(r, loc, idv, increment);

  rcop->type = void_type;
  if (!type_pointer(idv->type))
    {







      rcop->rcfn_decl =
	lookup_rc_fn(r, loc, fd, type_array_of_base(idv->type), 0 , 1 );
    }

  set_parent(({ast_generic *tEmPcast = (ast_generic *)(  &rcop->arg1 ); if (tEmPcast && *tEmPcast) ((void) (( (((( *tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   330 ,  "is_node(*tEmPcast)" ), 0) )) ; ( node  *)(tEmPcast); }) , ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   330 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) );
  *lastrcop = ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   331 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) ;

  return (expression *)&rcop->next;
}

void generate_rcops(region r, function_decl fd)
{
  node *gnodes = fd->postorder_nodes;
  int nnodes = fd->postorder_size, i;
     
  for (i = 0; i < nnodes; i++)
    {
      node n = gnodes[i];
      edge out;

      for (out = n->edges_out; out; out = out->next_out)
	{
	  dd_list_pos v;
	  expression rcops = 0 , *lastrcop = &rcops;
	  location loc = out->from->location;

	   
	  if (out->incvars)
	    for ( v  = dd_first((  out->incvars )); ! (!(  v  )->next) ;  v  = ((  v  )->next) ) 
	      {
		dd_list_pos decpos;
		data_declaration vv = (( data_declaration )((  v )->data)) ;

		 
		if (out->decvars && (decpos = dd_find(out->decvars, vv)))
		  dd_remove(decpos);
		else
		  lastrcop = build_rcop(r, loc, fd, build_identifier(r, loc, vv),
					1 , lastrcop);
	      }
	  if (out->decvars)
	    for ( v  = dd_first((  out->decvars )); ! (!(  v  )->next) ;  v  = ((  v  )->next) ) 
	      lastrcop = build_rcop(r, loc, fd, build_identifier(r, loc, (( data_declaration )((  v )->data)) ),
				    0 , lastrcop);

	  if (rcops)
	    {
	       
	      if (rcops->next)
		{
		  rcops = ({ast_generic tEmPcast = (ast_generic)(  new_comma(r, n->location, rcops) ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   376 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) ;
		  rcops->type = void_type;
		}
	      add_expression_to_edge(r, out, rcops);
	    }
	}
    }
}

static void adjust_localrc(region r, edge e, data_declaration local, bool increment)
{
   

  if (type_contains_pointers(local->type))
    add_rcop(r, e, local, increment);
}

void add_local_rc(region r, function_decl fd, bitset done)
{
  node *gnodes = fd->postorder_nodes;
  int nnodes = fd->postorder_size, i, vid;
  data_declaration *vmap = fd->vmap;
  edge entry_edge;
  bool qdeletes = type_function_deletes(fd->ddecl->type);

   





   
  ((void) (( gnodes[nnodes - 1] == fd->cfg_entry ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   408 ,  "gnodes[nnodes - 1] == fd->cfg_entry" ), 0) )) ;
  entry_edge = gnodes[nnodes - 1]->edges_out;
  for ( vid  = 0;  vid  < (  fd->cfg_entry->inscope_vars )->size;  vid ++) if ((( (  fd->cfg_entry->inscope_vars ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
    if (! (( done )->bitset[(  vid ) >> 5] & (1 << ((  vid ) & 31)))  && (qdeletes || vmap[vid]->addressed))
      {
	data_declaration parm = vmap[vid];

	((void) (( parm->isparameter ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   415 ,  "parm->isparameter" ), 0) )) ;
	adjust_localrc(r, entry_edge, parm, 1 );
      }

  for (i = 0; i < nnodes; i++)
    {
      node n = gnodes[i];
      edge out;

      for (out = n->edges_out; out; out = out->next_out)
	{
	  bitset stayinscope = out->to->inscope_vars;

	  for ( vid  = 0;  vid  < (  n->inscope_vars )->size;  vid ++) if ((( (  n->inscope_vars ) )->bitset[(   vid  ) >> 5] & (1 << ((   vid  ) & 31))) ) 
	    {
	      data_declaration v = vmap[vid];

	      if (! (( done )->bitset[(  vid ) >> 5] & (1 << ((  vid ) & 31)))  && ! (( stayinscope )->bitset[(  vid ) >> 5] & (1 << ((  vid ) & 31)))  &&
		  (qdeletes || v->addressed || type_array(v->type)))
		adjust_localrc(r, out, v, 0 );
	    }
	}
    }
}

static bool array_access(expression e)
{
   
  while ((((( e )->kind) & 0xffffff) == kind_plus) )
    {
      plus add = ({ast_generic tEmPcast = (ast_generic)(  e ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xffffff) == kind_plus)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   445 ,  "is_plus(tEmPcast)" ), 0) )) ; ( plus )(tEmPcast); }) ;

      if (type_integer(add->arg1->type))
	e = add->arg2;
      else
	e = add->arg1;
    }
   

  return type_array(e->type) && (((( ignore_fields(e) )->kind) & 0x3ffff) == kind_identifier) ;
}

void add_other_rc(region r, function_decl fd)
{
  node *gnodes = fd->postorder_nodes;
  int nnodes = fd->postorder_size, i;
  bool qdeletes = type_function_deletes(fd->ddecl->type);

   



   
  for (i = 0; i < nnodes; i++)
    {
      node n = gnodes[i];
      
      if ((((( n )->kind) & 0xffffff) == kind_assign)  && type_contains_pointers(n->type))
	{
	  assign ae = ({ast_generic tEmPcast = (ast_generic)(  n ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xffffff) == kind_assign)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   474 ,  "is_assign(tEmPcast)" ), 0) )) ; ( assign )(tEmPcast); }) ;
	  expression stabiliser, update, base_dest;
	  location loc = ae->location;
	  data_declaration temp;
	  node *pp = ae->parent_ptr, parent = ae->parent, next = ae->next;

	   

	  base_dest = ignore_fields(ae->arg1);
	  if ((((( base_dest )->kind) & 0x3ffff) == kind_identifier) )
	    {
	      identifier id = ({ast_generic tEmPcast = (ast_generic)(  base_dest ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_identifier)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   485 ,  "is_identifier(tEmPcast)" ), 0) )) ; ( identifier )(tEmPcast); }) ;

	      if (id->ddecl->islocal &&
		  (id->ddecl->interesting ||
		   (!qdeletes && !id->ddecl->addressed)))
		continue;
	    }
	   

	  if (ae->clearing)
	    continue;

	  ae->next = 0 ;

	  temp = stabilise_lvalue(r, parent_block(n), ae->arg1, &ae->arg1,
				  &stabiliser);
	  if (!stabiliser || array_access(({ast_generic tEmPcast = (ast_generic)(  stabiliser ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xffffff) == kind_assign)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   501 ,  "is_assign(tEmPcast)" ), 0) )) ; ( assign )(tEmPcast); }) ->arg2))
	    {
	       



	      bool used = 0 ;
	      global_rc rcop;
	      node p1, n1;

	       






	      p1 = parent; n1 = next;
	      for (;;)
		{
		  if ((((( p1 )->kind) & 0x3ffff) == kind_expression_stmt)  || n1)
		    break;
		  if (! (((( p1 )->kind) & 0x3ffff) == kind_comma) )
		    {
		      used = 1 ;
		      break;
		    }
		  n1 = p1->next;
		  p1 = p1->parent;
		}

	      rcop = new_global_rc(r, loc, ae->arg1, ae->arg2);
	      rcop->sr_vertex = ae->sr_vertex;
	      rcop->rcfn_decl = lookup_rc_fn(r, loc, fd, ae->arg1->type, 0 , 0 );

	       
	      if (stabiliser)
		update = build_comma(r, loc, stabiliser, ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   538 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) );
	      else
		update = ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   540 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) ;
	      if (used)
		update = build_comma(r, loc, update,
				     copy_lvalue(r, loc, ae->arg1));

	      if (type_pointer(ae->arg1->type) &&
		  !type_traditional(ae->arg1->type) &&
		  !zero_expression(ae->arg2))  
		{
		  compound_stmt b = parent_block(n);

		  rcop->temp1 = declare_region_temporary(r, b);
		  rcop->temp2 = declare_region_temporary(r, b);
		  if (rc_stats_detailed)
		    rcop->temp3 = declare_temporary(r, b, ae->arg1->type);
		}
	    }
	  else
	    {
	       
	      update_rc rcop = new_update_rc(r, loc, ae->arg1, ae->arg2, temp);

	      rcop->sr_vertex = ae->sr_vertex;
	      rcop->rcfn_decl = lookup_rc_fn(r, loc, fd, ae->arg1->type, 1 , 0 );

	      set_parent(({ast_generic *tEmPcast = (ast_generic *)(  &rcop->arg1 ); if (tEmPcast && *tEmPcast) ((void) (( (((( *tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   565 ,  "is_node(*tEmPcast)" ), 0) )) ; ( node  *)(tEmPcast); }) , ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   565 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) );
	      set_parent(({ast_generic *tEmPcast = (ast_generic *)(  &rcop->arg2 ); if (tEmPcast && *tEmPcast) ((void) (( (((( *tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   566 ,  "is_node(*tEmPcast)" ), 0) )) ; ( node  *)(tEmPcast); }) , ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   566 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) );
	      update = build_comma(r, loc, stabiliser, ({ast_generic tEmPcast = (ast_generic)(  rcop ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   567 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) );

	       

	      if (type_pointer(ae->arg1->type) &&
		  !type_traditional(ae->arg1->type))  
		{
		  compound_stmt b = parent_block(n);

		  if (!(type_sameregion(ae->arg1->type) && (zero_expression(rcop->arg2) || rc_nochecks)))
		    rcop->temp1 = declare_region_temporary(r, b);
		  if (!type_sameregion(ae->arg1->type))
		    {
		      if (!zero_expression(rcop->arg2))
			rcop->temp2 = declare_region_temporary(r, b);
		      rcop->temp3 = declare_region_temporary(r, b);
		    }
		}
	    }
	  *pp = ({ast_generic tEmPcast = (ast_generic)(  update ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   586 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) ;
	  set_parent(pp, parent);
	  (( update )->next = (  next ), (  next ) ? set_parent(&( update )->next, ( update )->parent) : (void)0) ;
	}
    }
}

void rc_check_ralloc(function_call fce)
{
  rc_init_once();

  if ((((( fce->arg1 )->kind) & 0x3ffff) == kind_identifier) )
    {
      identifier called = ({ast_generic tEmPcast = (ast_generic)(  fce->arg1 ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_identifier)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   599 ,  "is_identifier(tEmPcast)" ), 0) )) ; ( identifier )(tEmPcast); }) ;

      if (called->ddecl == ralloc_symbol ||
	  called->ddecl == rarrayalloc_symbol)
	{
	   

	  type allocated_type;
	  expression lastarg = ({ast_generic tEmPcast = (ast_generic)( 
				    last_node(({ast_generic tEmPcast = (ast_generic)(  fce->args ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   608 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) ) ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   608 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) ;
	  data_declaration cleanup_fn = 0 ;
	  location loc = fce->location;

	   





	  if (! (((( lastarg )->kind) & 0x3ffff) == kind_sizeof_type) )
	    error_with_location(loc,
				"bad region allocation - must use ralloc, rarrayalloc or rstralloc only");
	  else
	    {
	      allocated_type = ({ast_generic tEmPcast = (ast_generic)(  lastarg ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_sizeof_type)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   623 ,  "is_sizeof_type(tEmPcast)" ), 0) )) ; ( sizeof_type )(tEmPcast); }) ->asttype->type;

	      if (type_function(allocated_type))
		error_with_location(loc, "cannot allocate a function");
	      else if (type_array(allocated_type))
		if (called->ddecl == ralloc_symbol)
		  error_with_location(loc, "use rarrayalloc to allocate an array");
		else
		  error_with_location(loc, "rarrayalloc expects the array base type");
	      else if (type_contains_cross_pointers(allocated_type))
		cleanup_fn =
		  lookup_rc_fn(parse_region, loc, current_function_decl,
			       allocated_type, 0 , 1 );
	      else
		{
		   
		  expression rstralloc0_id =
		    build_identifier(parse_region, loc, rstralloc0_symbol);

		  fce->arg1 = rstralloc0_id;

		  if (called->ddecl == rarrayalloc_symbol)
		    {
		       
		      expression size =
			build_arithmetic(parse_region, loc, kind_times,
					 ({ast_generic tEmPcast = (ast_generic)(  fce->args->next ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   649 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) ,
					 ({ast_generic tEmPcast = (ast_generic)(  fce->args->next->next ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_expression)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   650 ,  "is_expression(tEmPcast)" ), 0) )) ; ( expression )(tEmPcast); }) );
		      fce->args->next = ({ast_generic tEmPcast = (ast_generic)(  size ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   651 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) ;
		    }
		}
	      if (cleanup_fn)
		{
		  expression cleanup_id =
		    build_identifier(parse_region, loc, cleanup_fn);
		  expression alloc_id =
		    build_identifier(parse_region, loc,
				     called->ddecl == ralloc_symbol ?
				     real_ralloc_symbol :
				     real_rarrayalloc_symbol);

		  fce->arg1 = alloc_id;
		  lastarg->next = ({ast_generic tEmPcast = (ast_generic)(  cleanup_id ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   665 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) ;
		}
	    }
	}
    }
}

static void clear_fd(function_decl fd)
{
  long i;

  fd->vmap = 0 ;
  fd->addressed_labels = 0 ;

  for (i = 0; i < fd->cfg_size; i++)
    {
      node n = fd->cfg_nodes[i];

      n->edges_in = n->edges_out = 0 ;
      n->live_in = n->live_out = 0 ;
      n->inscope_vars = 0 ;

      if ((((( n )->kind) & 0xfff) == kind_statement) )
	{
	  statement s = ({ast_generic tEmPcast = (ast_generic)(  n ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_statement)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   689 ,  "is_statement(tEmPcast)" ), 0) )) ; ( statement )(tEmPcast); }) ;

	  s->continue_dest = s->break_dest = 0 ;
	}
    }
  fd->cfg_nodes = fd->postorder_nodes = 0 ;
  fd->cfg_entry = 0 ;
}

void rc_process(declaration the_program) deletes
{
  declaration d;
  char *perturb = getenv("RCPERTURB");

  if (perturb)
    {
      flag_perturb = 1;
      perturb_seed = atol(perturb);

      srand48(perturb_seed);
    }

  builtins_init();
  rc_init_once();

  if (rc_chkopt_perfile)
    chkopt_libfn_init();

   

  for ( d  = (  the_program );  d ;  d  = ({ast_generic tEmPcast = (ast_generic)(   d ->next ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_declaration)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   719 ,  "is_declaration(tEmPcast)" ), 0) )) ; ( declaration )(tEmPcast); }) ) 
    if ((((( d )->kind) & 0x3ffff) == kind_function_decl) )
      {
	function_decl fd = ({ast_generic tEmPcast = (ast_generic)(  d ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_function_decl)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   722 ,  "is_function_decl(tEmPcast)" ), 0) )) ; ( function_decl )(tEmPcast); }) ;
	fix_parse_tree(parse_region, fd);
      }

  for ( d  = (  the_program );  d ;  d  = ({ast_generic tEmPcast = (ast_generic)(   d ->next ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0xfff) == kind_declaration)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   726 ,  "is_declaration(tEmPcast)" ), 0) )) ; ( declaration )(tEmPcast); }) ) 
    if ((((( d )->kind) & 0x3ffff) == kind_function_decl) )
      {
	function_decl fd = ({ast_generic tEmPcast = (ast_generic)(  d ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3ffff) == kind_function_decl)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   729 ,  "is_function_decl(tEmPcast)" ), 0) )) ; ( function_decl )(tEmPcast); }) ;
	data_declaration *vmap;
	region work = newregion();
	int i;
	bitset interesting;

	build_cfg(work, fd);
	cfg_build_postorder(work, fd);

	AST_set_parents(({ast_generic tEmPcast = (ast_generic)(  fd ); if (tEmPcast) ((void) (( (((( tEmPcast )->kind) & 0x3f) == kind_node)  ) ? 0 : (__eprintf ("%s:%u: failed assertion `%s'\n",	  "rc.c" ,   738 ,  "is_node(tEmPcast)" ), 0) )) ; ( node )(tEmPcast); }) );

	collect_variables(work, fd);

	 
	interesting = bclearb(new_bitset(work, fd->nlocals));
	vmap = fd->vmap;
	for (i = 0; i < fd->nlocals; i++)
	  {
	    data_declaration v = vmap[i];

	    if (v->kind == decl_variable && v->islocal && !v->addressed &&
		type_pointer(v->type))
	      {
		(( interesting )->bitset[(  i ) >> 5] |= 1 << ((  i ) & 31)) ;
		v->interesting = 1 ;
	      }
	  }
	  
	compute_liveness(work, fd, interesting);

	if (rc_chkopt || rc_chkopt_perfile)
	  optimise_rc_checks(parse_region, fd, interesting);

	if (rc_locals && type_function_deletes(fd->ddecl->type))
	  switch (rc_algorithm)
	    {
	    case rc_optimal:
	      insert_optimal_rcops(work, fd, interesting);
	      break;
	    case rc_assignment:
	      insert_assignment_rcops(work, fd, interesting);
	      break;
	    case rc_functions:
	      insert_functions_rcops(work, fd, interesting);
	      break;
	    }

	 
	if (rc_globals)  
	  add_local_rc(work, fd, interesting);

	generate_rcops(parse_region, fd);

	if (rc_globals)
	  add_other_rc(parse_region, fd);

	clear_fd(fd);
	deleteregion(work);
      }

  if (rc_chkopt_perfile)
    optimise_rc_checks_perfile(the_program);

  if (flag_parse_only)
    unparse((&__iob[1]) , the_program);
  else
    exit(exec_cc1(the_program));
}
